/******************************************************************************
* File Name    : config.h
* Description  : Device driver header
******************************************************************************/

#ifndef _CONFIG_H_
#define _CONFIG_H_

/* Configuration parameters for Video Over IP Application */
//#define RSK_RZA1_H		/* Configuration for RSK_RZA1_H or PEKOE_RZA1_L */
#define PEKOE_RZA1_L		/* Configuration for RSK_RZA1_H or PEKOE_RZA1_L */
//#define USE_SDRAM_MODE 		/* Configuration to use SDRAM, make sure to not use/connect the camera*/

#define CAMERA_OV7670  		/* Camera Module -> CAMERA_OV7740 or CAMERA_OV7670 */
//#define CAMERA_OV7740

#define VGA					/* Resolution -> VGA or QVGA */

#define YUV					/* or #define RGB */
#define YUV420				/* Format -> YUV420 or YUV422 (Only 420 Format Support) */

//#define RGB 				/* or #define YUV */
//#define RGB565				/* Format -> RGB565 */

#define	FRAME_RATE	5		/* FrameRate -> 5, 10, 15, 20, 25, 30 */
#define BIT_RATE	240000	/* Video (H.264 Encoder) Bit rate */
//#define DEBUG				/* Comment/un-comment this line to set/remove debug code */

/* Basic window sizes.  These probably belong somewhere more globally useful. */
#define VGA_WIDTH		640
#define VGA_HEIGHT		480

#define CIF_WIDTH		352
#define CIF_HEIGHT		288

#define QVGA_WIDTH		VGA_WIDTH/2
#define QVGA_HEIGHT		VGA_HEIGHT/2

#define QCIF_WIDTH		CIF_WIDTH/2
#define	QCIF_HEIGHT		CIF_HEIGHT/2

#define QQVGA_WIDTH		VGA_WIDTH/4
#define QQVGA_HEIGHT 	VGA_WIDTH/4

#ifdef VGA
	#define USEFUL_WIDTH 	VGA_WIDTH
	#define USEFUL_HEIGHT 	VGA_HEIGHT
#endif
#ifdef CIF
	#define USEFUL_WIDTH 	CIF_WIDTH
	#define USEFUL_HEIGHT 	CIF_HEIGHT
#endif
#ifdef QVGA
	#define USEFUL_WIDTH 	QVGA_WIDTH
	#define USEFUL_HEIGHT 	QVGA_HEIGHT
#endif
#ifdef QCIF
	#define USEFUL_WIDTH 	QCIF_WIDTH
	#define HEIGHT 	QCIF_HEIGHT
#endif
#ifdef QQVGA
	#define USEFUL_WIDTH 	QQVGA_WIDTH
	#define HEIGHT 	QQVGA_HEIGHT
#endif

#endif /* CONFIG_H_ */
