/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2013 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name   : PekoeSpibsc_init2.h
* Description : Flash boot setting
*******************************************************************************/
#ifndef _PEKOE_SPIBSC_INIT2_H_
#define _PEKOE_SPIBSC_INIT2_H_



/******************************************************************************
Macro definitions
******************************************************************************/
#define SPIBSC_CH                   (0)
#define DEF_USER_PROGRAM_SRC        (0x18080000)
#define DEF_USER_PROGRAM_TOP        (0x20040000)
#define DEF_INTERNAL_RAM_NORM       (0x20020000)
#define DEF_INTERNAL_RAM_NORM_LIMIT (0x40000000)
#define DEF_USER_CODE_START         (uint32_t*)(DEF_USER_PROGRAM_SRC + 0x20)
#define DEF_USER_CODE_END           (uint32_t*)(DEF_USER_PROGRAM_SRC + 0x24)
#define DEF_USER_CODE_EXECUTE       (uint32_t*)(DEF_USER_PROGRAM_SRC + 0x28)
#define DEF_USER_SIGNATURE          (uint32_t*)(DEF_USER_PROGRAM_SRC + 0x2c)

#define DELAY_500MS                 (5000000u)
#define DELAY_20000MS               (DELAY_500MS * 4U)

#define DEF_SPIBSC_DUAL_MODE  SPIBSC_CMNCR_BSZ_DUAL

#endif /*_PEKOE_SPIBSC_INIT2_H_ */

/* End of File */
