/****************************************************************************/

#include <stdio.h>
#include <stdlib.h>



/* Renesas includes. */
#include "r_typedefs.h"
#include "sio_char.h"
#include "config.h"
#include "r_ceu.h""
#include "compiler_settings.h"
/* PMOD LCD controlling function prototypes & macros */
#include "Pekoe_lcd_pmod.h"
/****************************************************************************/
void InitCameraModule(void);
void InitIPStack(void);
int InitH264Encoder(int width, int height, int frameRate, int bitRate);
uint32_t CreateRTPSocket(uint8_t *pcIPAddress, int dstPort);
int InitMPEG2TS(void);
void StartVideoProcess(int frameRate);
/****************************************************************************/
#ifdef YUV
extern VRAM_SECTION stVideoBuffer FrameBufferA,FrameBufferB;
#endif
#ifdef YUV422
extern VRAM_SECTION uint8_t FrameYuvPacked[USEFUL_WIDTH*USEFUL_HEIGHT*2];
#endif
#ifdef RGB565
extern VRAM_SECTION stVideoBuffer FrameBufferA[Y_SIZE],FrameBufferB[Y_SIZE];
#endif
/******************************************************************************
* Function Name: main
* Description  : User code start
* Arguments    : None
* Return Value : None
******************************************************************************/
int main( void )
{
uint8_t status;

	long k,i;
	long NbErrors=0,NbOk=0;

	/* ==== Initialise Terminal pn SCIF3==== */
    IoInitScif3();
    printf("RENESAS Pekoe RZ-A1L board test \n\r");

    PORT_Init();
	LED_Init();

	Pekoe_RIIC_init();

	Pekoe_Init_SPI();
	Pekoe_LCD_Init();

    Clear_Display(COL_WHITE);
	Display_LCD(4, (uint8_t *)"Renesas Electronics  ");
	Display_LCD(8, (uint8_t *)"Test PEKOE board PMOD  ");
	Display_On();
	Pekoe_Sample_RIIC_EepTest();
	PekoeQspiTest();
#ifdef	PEKOE_RZA1_L

#ifndef  USE_SDRAM_MODE
	InitCameraModule();
#endif

for(;;)
	{
//	for(k=1000;k!=0;k--);
    LED_TOGGLE();

    #ifndef  USE_SDRAM_MODE
	StartCameraCapture();
    // Now L1 contents are invalidated (forces cache to read from frame buffer)
    v7_dma_map_area((uint32_t) &FrameBufferA, (uint32_t)(sizeof FrameBufferA), (uint32_t) 1);

	#ifdef RGB565
		PekoeDisplayImage(&FrameBufferA[0]);
		#endif
	#endif

	#ifdef  USE_SDRAM_MODE
		if(memTest()!=NULL) NbErrors++;
		else NbOk++;
	#endif


	}

#endif
}
