/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
*******************************************************************************/
/*******************************************************************************
* Copyright (C) 2013 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name     : cpg_iodefine.h
* Device(s)     : RZ/A1H RSK2+RZA1H
* Tool-Chain    : GNUARM-RZv13.01-EABI
* H/W Platform  : RSK+RZA1H CPU Board
* Description   : header file for cpg_iodefine.h
*******************************************************************************/
/*******************************************************************************
* History       : DD.MM.YYYY Version Description
*               : 18.06.2013 1.00
*******************************************************************************/

#ifndef __CPG_IODEFINE_H__
#define __CPG_IODEFINE_H__

struct st_cpg
{                                                          /* CPG              */
    uint16_t       FRQCR;                                  /*  FRQCR           */
    uint8_t        dummy336[2];                            /*                  */
    uint16_t       FRQCR2;                                 /*  FRQCR2          */
    uint8_t        dummy337[2];                            /*                  */
    uint8_t        CPUSTS;                                 /*  CPUSTS          */
    uint8_t        dummy338[7];                            /*                  */
    uint8_t        STBCR1;                                 /*  STBCR1          */
    uint8_t        dummy339[3];                            /*                  */
    uint8_t        STBCR2;                                 /*  STBCR2          */
    uint8_t        dummy340[11];                           /*                  */
    uint8_t        STBREQ1;                                /*  STBREQ1         */
    uint8_t        dummy341[3];                            /*                  */
    uint8_t        STBREQ2;                                /*  STBREQ2         */
    uint8_t        dummy342[11];                           /*                  */
    uint8_t        STBACK1;                                /*  STBACK1         */
    uint8_t        dummy343[3];                            /*                  */
    uint8_t        STBACK2;                                /*  STBACK2         */
    uint8_t        dummy344[955];                          /*                  */
/* start of struct st_cpg_from_syscr1 */
    uint8_t        SYSCR1;                                 /*  SYSCR1          */
    uint8_t        dummy345[3];                            /*                  */
/* end of struct st_cpg_from_syscr1 */
/* start of struct st_cpg_from_syscr1 */
    uint8_t        SYSCR2;                                 /*  SYSCR2          */
    uint8_t        dummy346[3];                            /*                  */
/* end of struct st_cpg_from_syscr1 */
/* start of struct st_cpg_from_syscr1 */
    uint8_t        SYSCR3;                                 /*  SYSCR3          */
    uint8_t        dummy3470[3];                           /*                  */
/* end of struct st_cpg_from_syscr1 */
    uint8_t        dummy3471[20];                          /*                  */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR3;                                 /*  STBCR3          */
    uint8_t        dummy348[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR4;                                 /*  STBCR4          */
    uint8_t        dummy349[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR5;                                 /*  STBCR5          */
    uint8_t        dummy350[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR6;                                 /*  STBCR6          */
    uint8_t        dummy351[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR7;                                 /*  STBCR7          */
    uint8_t        dummy352[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR8;                                 /*  STBCR8          */
    uint8_t        dummy353[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR9;                                 /*  STBCR9          */
    uint8_t        dummy354[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR10;                                /*  STBCR10         */
    uint8_t        dummy355[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR11;                                /*  STBCR11         */
    uint8_t        dummy356[3];                            /*                  */
/* end of struct st_cpg_from_stbcr3 */
/* start of struct st_cpg_from_stbcr3 */
    uint8_t        STBCR12;                                /*  STBCR12         */
    uint8_t        dummy3570[3];                           /*                  */
/* end of struct st_cpg_from_stbcr3 */
    uint8_t        dummy3571[24];                          /*                  */
/* start of struct st_cpg_from_swrstcr1 */
    uint8_t        SWRSTCR1;                               /*  SWRSTCR1        */
    uint8_t        dummy358[3];                            /*                  */
/* end of struct st_cpg_from_swrstcr1 */
/* start of struct st_cpg_from_swrstcr1 */
    uint8_t        SWRSTCR2;                               /*  SWRSTCR2        */
    uint8_t        dummy359[3];                            /*                  */
/* end of struct st_cpg_from_swrstcr1 */
/* start of struct st_cpg_from_swrstcr1 */
    uint8_t        SWRSTCR3;                               /*  SWRSTCR3        */
    uint8_t        dummy360[3];                            /*                  */
/* end of struct st_cpg_from_swrstcr1 */
/* start of struct st_cpg_from_swrstcr1 */
    uint8_t        SWRSTCR4;                               /*  SWRSTCR4        */
    uint8_t        dummy3610[3];                           /*                  */
/* end of struct st_cpg_from_swrstcr1 */
    uint8_t        dummy3611[70544];                       /*                  */
    uint8_t        RRAMKP;                                 /*  RRAMKP          */
    uint8_t        dummy362[1];                            /*                  */
    uint8_t        DSCTR;                                  /*  DSCTR           */
    uint8_t        dummy363[1];                            /*                  */
    uint16_t       DSSSR;                                  /*  DSSSR           */
    uint16_t       DSESR;                                  /*  DSESR           */
    uint16_t       DSFR;                                   /*  DSFR            */
    uint8_t        dummy364[6];                            /*                  */
    uint8_t        XTALCTR;                                /*  XTALCTR         */
};


struct st_cpg_from_syscr1
{
    uint8_t        SYSCR1;                                 /*  SYSCR1          */
    uint8_t        dummy1[3];                              /*                  */
};


struct st_cpg_from_stbcr3
{
    uint8_t        STBCR3;                                 /*  STBCR3          */
    uint8_t        dummy1[3];                              /*                  */
};


struct st_cpg_from_swrstcr1
{
    uint8_t        SWRSTCR1;                               /*  SWRSTCR1        */
    uint8_t        dummy1[3];                              /*                  */
};


#define CPG     (*(volatile struct st_cpg     *)0xFCFE0010uL) /* CPG */


/* Start of channnel array defines of CPG */

/* Channnel array defines of CPG_FROM_SWRSTCR1_ARRAY */
/*(Sample) value = CPG_FROM_SWRSTCR1_ARRAY[ channel ]->SWRSTCR1; */
#define CPG_FROM_SWRSTCR1_ARRAY_COUNT  4
#define CPG_FROM_SWRSTCR1_ARRAY_ADDRESS_LIST \
    &CPG_FROM_SWRSTCR1, &CPG_FROM_SWRSTCR2, &CPG_FROM_SWRSTCR3, &CPG_FROM_SWRSTCR4
#define CPG_FROM_SWRSTCR1 (*(volatile struct st_cpg_from_swrstcr1 *)&CPG.SWRSTCR1) /* CPG_FROM_SWRSTCR1 */
#define CPG_FROM_SWRSTCR2 (*(volatile struct st_cpg_from_swrstcr1 *)&CPG.SWRSTCR2) /* CPG_FROM_SWRSTCR2 */
#define CPG_FROM_SWRSTCR3 (*(volatile struct st_cpg_from_swrstcr1 *)&CPG.SWRSTCR3) /* CPG_FROM_SWRSTCR3 */
#define CPG_FROM_SWRSTCR4 (*(volatile struct st_cpg_from_swrstcr1 *)&CPG.SWRSTCR4) /* CPG_FROM_SWRSTCR4 */


/* Channnel array defines of CPG_FROM_STBCR3_ARRAY */
/*(Sample) value = CPG_FROM_STBCR3_ARRAY[ channel ]->STBCR3; */
#define CPG_FROM_STBCR3_ARRAY_COUNT  10
#define CPG_FROM_STBCR3_ARRAY_ADDRESS_LIST \
    &CPG_FROM_STBCR3, &CPG_FROM_STBCR4, &CPG_FROM_STBCR5, &CPG_FROM_STBCR6, &CPG_FROM_STBCR7, &CPG_FROM_STBCR8, &CPG_FROM_STBCR9, &CPG_FROM_STBCR10, \
    &CPG_FROM_STBCR11, &CPG_FROM_STBCR12
#define CPG_FROM_STBCR3 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR3) /* CPG_FROM_STBCR3 */
#define CPG_FROM_STBCR4 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR4) /* CPG_FROM_STBCR4 */
#define CPG_FROM_STBCR5 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR5) /* CPG_FROM_STBCR5 */
#define CPG_FROM_STBCR6 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR6) /* CPG_FROM_STBCR6 */
#define CPG_FROM_STBCR7 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR7) /* CPG_FROM_STBCR7 */
#define CPG_FROM_STBCR8 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR8) /* CPG_FROM_STBCR8 */
#define CPG_FROM_STBCR9 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR9) /* CPG_FROM_STBCR9 */
#define CPG_FROM_STBCR10 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR10) /* CPG_FROM_STBCR10 */
#define CPG_FROM_STBCR11 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR11) /* CPG_FROM_STBCR11 */
#define CPG_FROM_STBCR12 (*(volatile struct st_cpg_from_stbcr3 *)&CPG.STBCR12) /* CPG_FROM_STBCR12 */


/* Channnel array defines of CPG_FROM_SYSCR1_ARRAY */
/*(Sample) value = CPG_FROM_SYSCR1_ARRAY[ channel ]->SYSCR1; */
#define CPG_FROM_SYSCR1_ARRAY_COUNT  3
#define CPG_FROM_SYSCR1_ARRAY_ADDRESS_LIST \
    &CPG_FROM_SYSCR1, &CPG_FROM_SYSCR2, &CPG_FROM_SYSCR3
#define CPG_FROM_SYSCR1 (*(volatile struct st_cpg_from_syscr1 *)&CPG.SYSCR1) /* CPG_FROM_SYSCR1 */
#define CPG_FROM_SYSCR2 (*(volatile struct st_cpg_from_syscr1 *)&CPG.SYSCR2) /* CPG_FROM_SYSCR2 */
#define CPG_FROM_SYSCR3 (*(volatile struct st_cpg_from_syscr1 *)&CPG.SYSCR3) /* CPG_FROM_SYSCR3 */

/* End of channnel array defines of CPG */


#define CPGFRQCR CPG.FRQCR
#define CPGFRQCR2 CPG.FRQCR2
#define CPGCPUSTS CPG.CPUSTS
#define CPGSTBCR1 CPG.STBCR1
#define CPGSTBCR2 CPG.STBCR2
#define CPGSTBREQ1 CPG.STBREQ1
#define CPGSTBREQ2 CPG.STBREQ2
#define CPGSTBACK1 CPG.STBACK1
#define CPGSTBACK2 CPG.STBACK2
#define CPGSYSCR1 CPG.SYSCR1
#define CPGSYSCR2 CPG.SYSCR2
#define CPGSYSCR3 CPG.SYSCR3
#define CPGSTBCR3 CPG.STBCR3
#define CPGSTBCR4 CPG.STBCR4
#define CPGSTBCR5 CPG.STBCR5
#define CPGSTBCR6 CPG.STBCR6
#define CPGSTBCR7 CPG.STBCR7
#define CPGSTBCR8 CPG.STBCR8
#define CPGSTBCR9 CPG.STBCR9
#define CPGSTBCR10 CPG.STBCR10
#define CPGSTBCR11 CPG.STBCR11
#define CPGSTBCR12 CPG.STBCR12
#define CPGSWRSTCR1 CPG.SWRSTCR1
#define CPGSWRSTCR2 CPG.SWRSTCR2
#define CPGSWRSTCR3 CPG.SWRSTCR3
#define CPGSWRSTCR4 CPG.SWRSTCR4
#define CPGRRAMKP CPG.RRAMKP
#define CPGDSCTR CPG.DSCTR
#define CPGDSSSR CPG.DSSSR
#define CPGDSESR CPG.DSESR
#define CPGDSFR CPG.DSFR
#define CPGXTALCTR CPG.XTALCTR
#endif
