/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer*
* Copyright (C) 2012 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/**************************************************************************//**
* @file         r_iodefine.h
* @version      0.02
* @brief        VDC5 and VDEC IO definition header
******************************************************************************/

#ifndef R_IODEFINE_H
#define R_IODEFINE_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include    "r_typedefs.h"


/******************************************************************************
Macro definitions
******************************************************************************/
/* VDC5 */
#define     VDC5_CH0_INP_UPDATE             (*(uint32_t*)0xFCFF7400)
#define     VDC5_CH0_INP_SEL_CNT            (*(uint32_t*)0xFCFF7404)
#define     VDC5_CH0_INP_EXT_SYNC_CNT       (*(uint32_t*)0xFCFF7408)
#define     VDC5_CH0_INP_VSYNC_PH_ADJ       (*(uint32_t*)0xFCFF740C)
#define     VDC5_CH0_INP_DLY_ADJ            (*(uint32_t*)0xFCFF7410)
#define     VDC5_CH0_IMGCNT_UPDATE          (*(uint32_t*)0xFCFF7480)
#define     VDC5_CH0_IMGCNT_NR_CNT0         (*(uint32_t*)0xFCFF7484)
#define     VDC5_CH0_IMGCNT_NR_CNT1         (*(uint32_t*)0xFCFF7488)
#define     VDC5_CH0_IMGCNT_MTX_MODE        (*(uint32_t*)0xFCFF74A0)
#define     VDC5_CH0_IMGCNT_MTX_YG_ADJ0     (*(uint32_t*)0xFCFF74A4)
#define     VDC5_CH0_IMGCNT_MTX_YG_ADJ1     (*(uint32_t*)0xFCFF74A8)
#define     VDC5_CH0_IMGCNT_MTX_CBB_ADJ0    (*(uint32_t*)0xFCFF74AC)
#define     VDC5_CH0_IMGCNT_MTX_CBB_ADJ1    (*(uint32_t*)0xFCFF74B0)
#define     VDC5_CH0_IMGCNT_MTX_CRR_ADJ0    (*(uint32_t*)0xFCFF74B4)
#define     VDC5_CH0_IMGCNT_MTX_CRR_ADJ1    (*(uint32_t*)0xFCFF74B8)
#define     VDC5_CH0_IMGCNT_DRC_REG         (*(uint32_t*)0xFCFF74C0)
#define     VDC5_CH1_INP_UPDATE             (*(uint32_t*)0xFCFF9400)
#define     VDC5_CH1_INP_SEL_CNT            (*(uint32_t*)0xFCFF9404)
#define     VDC5_CH1_INP_EXT_SYNC_CNT       (*(uint32_t*)0xFCFF9408)
#define     VDC5_CH1_INP_VSYNC_PH_ADJ       (*(uint32_t*)0xFCFF940C)
#define     VDC5_CH1_INP_DLY_ADJ            (*(uint32_t*)0xFCFF9410)
#define     VDC5_CH1_IMGCNT_UPDATE          (*(uint32_t*)0xFCFF9480)
#define     VDC5_CH1_IMGCNT_NR_CNT0         (*(uint32_t*)0xFCFF9484)
#define     VDC5_CH1_IMGCNT_NR_CNT1         (*(uint32_t*)0xFCFF9488)
#define     VDC5_CH1_IMGCNT_MTX_MODE        (*(uint32_t*)0xFCFF94A0)
#define     VDC5_CH1_IMGCNT_MTX_YG_ADJ0     (*(uint32_t*)0xFCFF94A4)
#define     VDC5_CH1_IMGCNT_MTX_YG_ADJ1     (*(uint32_t*)0xFCFF94A8)
#define     VDC5_CH1_IMGCNT_MTX_CBB_ADJ0    (*(uint32_t*)0xFCFF94AC)
#define     VDC5_CH1_IMGCNT_MTX_CBB_ADJ1    (*(uint32_t*)0xFCFF94B0)
#define     VDC5_CH1_IMGCNT_MTX_CRR_ADJ0    (*(uint32_t*)0xFCFF94B4)
#define     VDC5_CH1_IMGCNT_MTX_CRR_ADJ1    (*(uint32_t*)0xFCFF94B8)
#define     VDC5_CH1_IMGCNT_DRC_REG         (*(uint32_t*)0xFCFF94C0)
#define     VDC5_CH0_SC0_SCL0_UPDATE        (*(uint32_t*)0xFCFF7500)
#define     VDC5_CH0_SC0_SCL0_FRC1          (*(uint32_t*)0xFCFF7504)
#define     VDC5_CH0_SC0_SCL0_FRC2          (*(uint32_t*)0xFCFF7508)
#define     VDC5_CH0_SC0_SCL0_FRC3          (*(uint32_t*)0xFCFF750C)
#define     VDC5_CH0_SC0_SCL0_FRC4          (*(uint32_t*)0xFCFF7510)
#define     VDC5_CH0_SC0_SCL0_FRC5          (*(uint32_t*)0xFCFF7514)
#define     VDC5_CH0_SC0_SCL0_FRC6          (*(uint32_t*)0xFCFF7518)
#define     VDC5_CH0_SC0_SCL0_FRC7          (*(uint32_t*)0xFCFF751C)
#define     VDC5_CH0_SC0_SCL0_FRC9          (*(uint32_t*)0xFCFF7524)
#define     VDC5_CH0_SC0_SCL0_MON0          (*(uint16_t*)0xFCFF7528)
#define     VDC5_CH0_SC0_SCL0_INT           (*(uint16_t*)0xFCFF752A)
#define     VDC5_CH0_SC0_SCL0_DS1           (*(uint32_t*)0xFCFF752C)
#define     VDC5_CH0_SC0_SCL0_DS2           (*(uint32_t*)0xFCFF7530)
#define     VDC5_CH0_SC0_SCL0_DS3           (*(uint32_t*)0xFCFF7534)
#define     VDC5_CH0_SC0_SCL0_DS4           (*(uint32_t*)0xFCFF7538)
#define     VDC5_CH0_SC0_SCL0_DS5           (*(uint32_t*)0xFCFF753C)
#define     VDC5_CH0_SC0_SCL0_DS6           (*(uint32_t*)0xFCFF7540)
#define     VDC5_CH0_SC0_SCL0_DS7           (*(uint32_t*)0xFCFF7544)
#define     VDC5_CH0_SC0_SCL0_US1           (*(uint32_t*)0xFCFF7548)
#define     VDC5_CH0_SC0_SCL0_US2           (*(uint32_t*)0xFCFF754C)
#define     VDC5_CH0_SC0_SCL0_US3           (*(uint32_t*)0xFCFF7550)
#define     VDC5_CH0_SC0_SCL0_US4           (*(uint32_t*)0xFCFF7554)
#define     VDC5_CH0_SC0_SCL0_US5           (*(uint32_t*)0xFCFF7558)
#define     VDC5_CH0_SC0_SCL0_US6           (*(uint32_t*)0xFCFF755C)
#define     VDC5_CH0_SC0_SCL0_US7           (*(uint32_t*)0xFCFF7560)
#define     VDC5_CH0_SC0_SCL0_US8           (*(uint32_t*)0xFCFF7564)
#define     VDC5_CH0_SC0_SCL0_OVR1          (*(uint32_t*)0xFCFF756C)
#define     VDC5_CH0_SC0_SCL1_UPDATE        (*(uint32_t*)0xFCFF7580)
#define     VDC5_CH0_SC0_SCL1_WR1           (*(uint32_t*)0xFCFF7588)
#define     VDC5_CH0_SC0_SCL1_WR2           (*(uint32_t*)0xFCFF758C)
#define     VDC5_CH0_SC0_SCL1_WR3           (*(uint32_t*)0xFCFF7590)
#define     VDC5_CH0_SC0_SCL1_WR4           (*(uint32_t*)0xFCFF7594)
#define     VDC5_CH0_SC0_SCL1_WR5           (*(uint32_t*)0xFCFF759C)
#define     VDC5_CH0_SC0_SCL1_WR6           (*(uint32_t*)0xFCFF75A0)
#define     VDC5_CH0_SC0_SCL1_WR7           (*(uint32_t*)0xFCFF75A4)
#define     VDC5_CH0_SC0_SCL1_WR8           (*(uint32_t*)0xFCFF75A8)
#define     VDC5_CH0_SC0_SCL1_WR9           (*(uint32_t*)0xFCFF75AC)
#define     VDC5_CH0_SC0_SCL1_WR10          (*(uint32_t*)0xFCFF75B0)
#define     VDC5_CH0_SC0_SCL1_WR11          (*(uint32_t*)0xFCFF75B4)
#define     VDC5_CH0_SC0_SCL1_MON1          (*(uint32_t*)0xFCFF75B8)
#define     VDC5_CH0_SC0_SCL1_PBUF0         (*(uint32_t*)0xFCFF75BC)
#define     VDC5_CH0_SC0_SCL1_PBUF1         (*(uint32_t*)0xFCFF75C0)
#define     VDC5_CH0_SC0_SCL1_PBUF2         (*(uint32_t*)0xFCFF75C4)
#define     VDC5_CH0_SC0_SCL1_PBUF3         (*(uint32_t*)0xFCFF75C8)
#define     VDC5_CH0_SC0_SCL1_PBUF_FLD      (*(uint32_t*)0xFCFF75CC)
#define     VDC5_CH0_SC0_SCL1_PBUF_CNT      (*(uint32_t*)0xFCFF75D0)
#define     VDC5_CH0_GR0_UPDATE             (*(uint32_t*)0xFCFF7600)
#define     VDC5_CH0_GR0_FLM_RD             (*(uint32_t*)0xFCFF7604)
#define     VDC5_CH0_GR0_FLM1               (*(uint32_t*)0xFCFF7608)
#define     VDC5_CH0_GR0_FLM2               (*(uint32_t*)0xFCFF760C)
#define     VDC5_CH0_GR0_FLM3               (*(uint32_t*)0xFCFF7610)
#define     VDC5_CH0_GR0_FLM4               (*(uint32_t*)0xFCFF7614)
#define     VDC5_CH0_GR0_FLM5               (*(uint32_t*)0xFCFF7618)
#define     VDC5_CH0_GR0_FLM6               (*(uint32_t*)0xFCFF761C)
#define     VDC5_CH0_GR0_AB1                (*(uint32_t*)0xFCFF7620)
#define     VDC5_CH0_GR0_AB2                (*(uint32_t*)0xFCFF7624)
#define     VDC5_CH0_GR0_AB3                (*(uint32_t*)0xFCFF7628)
#define     VDC5_CH0_GR0_AB7                (*(uint32_t*)0xFCFF7638)
#define     VDC5_CH0_GR0_AB8                (*(uint32_t*)0xFCFF763C)
#define     VDC5_CH0_GR0_AB9                (*(uint32_t*)0xFCFF7640)
#define     VDC5_CH0_GR0_AB10               (*(uint32_t*)0xFCFF7644)
#define     VDC5_CH0_GR0_AB11               (*(uint32_t*)0xFCFF7648)
#define     VDC5_CH0_GR0_BASE               (*(uint32_t*)0xFCFF764C)
#define     VDC5_CH0_GR0_CLUT               (*(uint32_t*)0xFCFF7650)
#define     VDC5_CH0_SC1_SCL0_UPDATE        (*(uint32_t*)0xFCFF7C00)
#define     VDC5_CH0_SC1_SCL0_FRC1          (*(uint32_t*)0xFCFF7C04)
#define     VDC5_CH0_SC1_SCL0_FRC2          (*(uint32_t*)0xFCFF7C08)
#define     VDC5_CH0_SC1_SCL0_FRC3          (*(uint32_t*)0xFCFF7C0C)
#define     VDC5_CH0_SC1_SCL0_FRC4          (*(uint32_t*)0xFCFF7C10)
#define     VDC5_CH0_SC1_SCL0_FRC5          (*(uint32_t*)0xFCFF7C14)
#define     VDC5_CH0_SC1_SCL0_FRC6          (*(uint32_t*)0xFCFF7C18)
#define     VDC5_CH0_SC1_SCL0_FRC7          (*(uint32_t*)0xFCFF7C1C)
#define     VDC5_CH0_SC1_SCL0_FRC9          (*(uint32_t*)0xFCFF7C24)
#define     VDC5_CH0_SC1_SCL0_MON0          (*(uint16_t*)0xFCFF7C28)
#define     VDC5_CH0_SC1_SCL0_INT           (*(uint16_t*)0xFCFF7C2A)
#define     VDC5_CH0_SC1_SCL0_DS1           (*(uint32_t*)0xFCFF7C2C)
#define     VDC5_CH0_SC1_SCL0_DS2           (*(uint32_t*)0xFCFF7C30)
#define     VDC5_CH0_SC1_SCL0_DS3           (*(uint32_t*)0xFCFF7C34)
#define     VDC5_CH0_SC1_SCL0_DS4           (*(uint32_t*)0xFCFF7C38)
#define     VDC5_CH0_SC1_SCL0_DS5           (*(uint32_t*)0xFCFF7C3C)
#define     VDC5_CH0_SC1_SCL0_DS6           (*(uint32_t*)0xFCFF7C40)
#define     VDC5_CH0_SC1_SCL0_DS7           (*(uint32_t*)0xFCFF7C44)
#define     VDC5_CH0_SC1_SCL0_US1           (*(uint32_t*)0xFCFF7C48)
#define     VDC5_CH0_SC1_SCL0_US2           (*(uint32_t*)0xFCFF7C4C)
#define     VDC5_CH0_SC1_SCL0_US3           (*(uint32_t*)0xFCFF7C50)
#define     VDC5_CH0_SC1_SCL0_US4           (*(uint32_t*)0xFCFF7C54)
#define     VDC5_CH0_SC1_SCL0_US5           (*(uint32_t*)0xFCFF7C58)
#define     VDC5_CH0_SC1_SCL0_US6           (*(uint32_t*)0xFCFF7C5C)
#define     VDC5_CH0_SC1_SCL0_US7           (*(uint32_t*)0xFCFF7C60)
#define     VDC5_CH0_SC1_SCL0_US8           (*(uint32_t*)0xFCFF7C64)
#define     VDC5_CH0_SC1_SCL0_OVR1          (*(uint32_t*)0xFCFF7C6C)
#define     VDC5_CH0_SC1_SCL1_UPDATE        (*(uint32_t*)0xFCFF7C80)
#define     VDC5_CH0_SC1_SCL1_WR1           (*(uint32_t*)0xFCFF7C88)
#define     VDC5_CH0_SC1_SCL1_WR2           (*(uint32_t*)0xFCFF7C8C)
#define     VDC5_CH0_SC1_SCL1_WR3           (*(uint32_t*)0xFCFF7C90)
#define     VDC5_CH0_SC1_SCL1_WR4           (*(uint32_t*)0xFCFF7C94)
#define     VDC5_CH0_SC1_SCL1_WR5           (*(uint32_t*)0xFCFF7C9C)
#define     VDC5_CH0_SC1_SCL1_WR6           (*(uint32_t*)0xFCFF7CA0)
#define     VDC5_CH0_SC1_SCL1_WR7           (*(uint32_t*)0xFCFF7CA4)
#define     VDC5_CH0_SC1_SCL1_WR8           (*(uint32_t*)0xFCFF7CA8)
#define     VDC5_CH0_SC1_SCL1_WR9           (*(uint32_t*)0xFCFF7CAC)
#define     VDC5_CH0_SC1_SCL1_WR10          (*(uint32_t*)0xFCFF7CB0)
#define     VDC5_CH0_SC1_SCL1_WR11          (*(uint32_t*)0xFCFF7CB4)
#define     VDC5_CH0_SC1_SCL1_MON1          (*(uint32_t*)0xFCFF7CB8)
#define     VDC5_CH0_SC1_SCL1_PBUF0         (*(uint32_t*)0xFCFF7CBC)
#define     VDC5_CH0_SC1_SCL1_PBUF1         (*(uint32_t*)0xFCFF7CC0)
#define     VDC5_CH0_SC1_SCL1_PBUF2         (*(uint32_t*)0xFCFF7CC4)
#define     VDC5_CH0_SC1_SCL1_PBUF3         (*(uint32_t*)0xFCFF7CC8)
#define     VDC5_CH0_SC1_SCL1_PBUF_FLD      (*(uint32_t*)0xFCFF7CCC)
#define     VDC5_CH0_SC1_SCL1_PBUF_CNT      (*(uint32_t*)0xFCFF7CD0)
#define     VDC5_CH0_GR1_UPDATE             (*(uint32_t*)0xFCFF7D00)
#define     VDC5_CH0_GR1_FLM_RD             (*(uint32_t*)0xFCFF7D04)
#define     VDC5_CH0_GR1_FLM1               (*(uint32_t*)0xFCFF7D08)
#define     VDC5_CH0_GR1_FLM2               (*(uint32_t*)0xFCFF7D0C)
#define     VDC5_CH0_GR1_FLM3               (*(uint32_t*)0xFCFF7D10)
#define     VDC5_CH0_GR1_FLM4               (*(uint32_t*)0xFCFF7D14)
#define     VDC5_CH0_GR1_FLM5               (*(uint32_t*)0xFCFF7D18)
#define     VDC5_CH0_GR1_FLM6               (*(uint32_t*)0xFCFF7D1C)
#define     VDC5_CH0_GR1_AB1                (*(uint32_t*)0xFCFF7D20)
#define     VDC5_CH0_GR1_AB2                (*(uint32_t*)0xFCFF7D24)
#define     VDC5_CH0_GR1_AB3                (*(uint32_t*)0xFCFF7D28)
#define     VDC5_CH0_GR1_AB4                (*(uint32_t*)0xFCFF7D2C)
#define     VDC5_CH0_GR1_AB5                (*(uint32_t*)0xFCFF7D30)
#define     VDC5_CH0_GR1_AB6                (*(uint32_t*)0xFCFF7D34)
#define     VDC5_CH0_GR1_AB7                (*(uint32_t*)0xFCFF7D38)
#define     VDC5_CH0_GR1_AB8                (*(uint32_t*)0xFCFF7D3C)
#define     VDC5_CH0_GR1_AB9                (*(uint32_t*)0xFCFF7D40)
#define     VDC5_CH0_GR1_AB10               (*(uint32_t*)0xFCFF7D44)
#define     VDC5_CH0_GR1_AB11               (*(uint32_t*)0xFCFF7D48)
#define     VDC5_CH0_GR1_BASE               (*(uint32_t*)0xFCFF7D4C)
#define     VDC5_CH0_GR1_CLUT               (*(uint32_t*)0xFCFF7D50)
#define     VDC5_CH0_GR1_MON                (*(uint32_t*)0xFCFF7D54)
#define     VDC5_CH1_SC0_SCL0_UPDATE        (*(uint32_t*)0xFCFF9500)
#define     VDC5_CH1_SC0_SCL0_FRC1          (*(uint32_t*)0xFCFF9504)
#define     VDC5_CH1_SC0_SCL0_FRC2          (*(uint32_t*)0xFCFF9508)
#define     VDC5_CH1_SC0_SCL0_FRC3          (*(uint32_t*)0xFCFF950C)
#define     VDC5_CH1_SC0_SCL0_FRC4          (*(uint32_t*)0xFCFF9510)
#define     VDC5_CH1_SC0_SCL0_FRC5          (*(uint32_t*)0xFCFF9514)
#define     VDC5_CH1_SC0_SCL0_FRC6          (*(uint32_t*)0xFCFF9518)
#define     VDC5_CH1_SC0_SCL0_FRC7          (*(uint32_t*)0xFCFF951C)
#define     VDC5_CH1_SC0_SCL0_FRC9          (*(uint32_t*)0xFCFF9524)
#define     VDC5_CH1_SC0_SCL0_MON0          (*(uint16_t*)0xFCFF9528)
#define     VDC5_CH1_SC0_SCL0_INT           (*(uint16_t*)0xFCFF952A)
#define     VDC5_CH1_SC0_SCL0_DS1           (*(uint32_t*)0xFCFF952C)
#define     VDC5_CH1_SC0_SCL0_DS2           (*(uint32_t*)0xFCFF9530)
#define     VDC5_CH1_SC0_SCL0_DS3           (*(uint32_t*)0xFCFF9534)
#define     VDC5_CH1_SC0_SCL0_DS4           (*(uint32_t*)0xFCFF9538)
#define     VDC5_CH1_SC0_SCL0_DS5           (*(uint32_t*)0xFCFF953C)
#define     VDC5_CH1_SC0_SCL0_DS6           (*(uint32_t*)0xFCFF9540)
#define     VDC5_CH1_SC0_SCL0_DS7           (*(uint32_t*)0xFCFF9544)
#define     VDC5_CH1_SC0_SCL0_US1           (*(uint32_t*)0xFCFF9548)
#define     VDC5_CH1_SC0_SCL0_US2           (*(uint32_t*)0xFCFF954C)
#define     VDC5_CH1_SC0_SCL0_US3           (*(uint32_t*)0xFCFF9550)
#define     VDC5_CH1_SC0_SCL0_US4           (*(uint32_t*)0xFCFF9554)
#define     VDC5_CH1_SC0_SCL0_US5           (*(uint32_t*)0xFCFF9558)
#define     VDC5_CH1_SC0_SCL0_US6           (*(uint32_t*)0xFCFF955C)
#define     VDC5_CH1_SC0_SCL0_US7           (*(uint32_t*)0xFCFF9560)
#define     VDC5_CH1_SC0_SCL0_US8           (*(uint32_t*)0xFCFF9564)
#define     VDC5_CH1_SC0_SCL0_OVR1          (*(uint32_t*)0xFCFF956C)
#define     VDC5_CH1_SC0_SCL1_UPDATE        (*(uint32_t*)0xFCFF9580)
#define     VDC5_CH1_SC0_SCL1_WR1           (*(uint32_t*)0xFCFF9588)
#define     VDC5_CH1_SC0_SCL1_WR2           (*(uint32_t*)0xFCFF958C)
#define     VDC5_CH1_SC0_SCL1_WR3           (*(uint32_t*)0xFCFF9590)
#define     VDC5_CH1_SC0_SCL1_WR4           (*(uint32_t*)0xFCFF9594)
#define     VDC5_CH1_SC0_SCL1_WR5           (*(uint32_t*)0xFCFF959C)
#define     VDC5_CH1_SC0_SCL1_WR6           (*(uint32_t*)0xFCFF95A0)
#define     VDC5_CH1_SC0_SCL1_WR7           (*(uint32_t*)0xFCFF95A4)
#define     VDC5_CH1_SC0_SCL1_WR8           (*(uint32_t*)0xFCFF95A8)
#define     VDC5_CH1_SC0_SCL1_WR9           (*(uint32_t*)0xFCFF95AC)
#define     VDC5_CH1_SC0_SCL1_WR10          (*(uint32_t*)0xFCFF95B0)
#define     VDC5_CH1_SC0_SCL1_WR11          (*(uint32_t*)0xFCFF95B4)
#define     VDC5_CH1_SC0_SCL1_MON1          (*(uint32_t*)0xFCFF95B8)
#define     VDC5_CH1_SC0_SCL1_PBUF0         (*(uint32_t*)0xFCFF95BC)
#define     VDC5_CH1_SC0_SCL1_PBUF1         (*(uint32_t*)0xFCFF95C0)
#define     VDC5_CH1_SC0_SCL1_PBUF2         (*(uint32_t*)0xFCFF95C4)
#define     VDC5_CH1_SC0_SCL1_PBUF3         (*(uint32_t*)0xFCFF95C8)
#define     VDC5_CH1_SC0_SCL1_PBUF_FLD      (*(uint32_t*)0xFCFF95CC)
#define     VDC5_CH1_SC0_SCL1_PBUF_CNT      (*(uint32_t*)0xFCFF95D0)
#define     VDC5_CH1_GR0_UPDATE             (*(uint32_t*)0xFCFF9600)
#define     VDC5_CH1_GR0_FLM_RD             (*(uint32_t*)0xFCFF9604)
#define     VDC5_CH1_GR0_FLM1               (*(uint32_t*)0xFCFF9608)
#define     VDC5_CH1_GR0_FLM2               (*(uint32_t*)0xFCFF960C)
#define     VDC5_CH1_GR0_FLM3               (*(uint32_t*)0xFCFF9610)
#define     VDC5_CH1_GR0_FLM4               (*(uint32_t*)0xFCFF9614)
#define     VDC5_CH1_GR0_FLM5               (*(uint32_t*)0xFCFF9618)
#define     VDC5_CH1_GR0_FLM6               (*(uint32_t*)0xFCFF961C)
#define     VDC5_CH1_GR0_AB1                (*(uint32_t*)0xFCFF9620)
#define     VDC5_CH1_GR0_AB2                (*(uint32_t*)0xFCFF9624)
#define     VDC5_CH1_GR0_AB3                (*(uint32_t*)0xFCFF9628)
#define     VDC5_CH1_GR0_AB7                (*(uint32_t*)0xFCFF9638)
#define     VDC5_CH1_GR0_AB8                (*(uint32_t*)0xFCFF963C)
#define     VDC5_CH1_GR0_AB9                (*(uint32_t*)0xFCFF9640)
#define     VDC5_CH1_GR0_AB10               (*(uint32_t*)0xFCFF9644)
#define     VDC5_CH1_GR0_AB11               (*(uint32_t*)0xFCFF9648)
#define     VDC5_CH1_GR0_BASE               (*(uint32_t*)0xFCFF964C)
#define     VDC5_CH1_GR0_CLUT               (*(uint32_t*)0xFCFF9650)
#define     VDC5_CH1_SC1_SCL0_UPDATE        (*(uint32_t*)0xFCFF9C00)
#define     VDC5_CH1_SC1_SCL0_FRC1          (*(uint32_t*)0xFCFF9C04)
#define     VDC5_CH1_SC1_SCL0_FRC2          (*(uint32_t*)0xFCFF9C08)
#define     VDC5_CH1_SC1_SCL0_FRC3          (*(uint32_t*)0xFCFF9C0C)
#define     VDC5_CH1_SC1_SCL0_FRC4          (*(uint32_t*)0xFCFF9C10)
#define     VDC5_CH1_SC1_SCL0_FRC5          (*(uint32_t*)0xFCFF9C14)
#define     VDC5_CH1_SC1_SCL0_FRC6          (*(uint32_t*)0xFCFF9C18)
#define     VDC5_CH1_SC1_SCL0_FRC7          (*(uint32_t*)0xFCFF9C1C)
#define     VDC5_CH1_SC1_SCL0_FRC9          (*(uint32_t*)0xFCFF9C24)
#define     VDC5_CH1_SC1_SCL0_MON0          (*(uint16_t*)0xFCFF9C28)
#define     VDC5_CH1_SC1_SCL0_INT           (*(uint16_t*)0xFCFF9C2A)
#define     VDC5_CH1_SC1_SCL0_DS1           (*(uint32_t*)0xFCFF9C2C)
#define     VDC5_CH1_SC1_SCL0_DS2           (*(uint32_t*)0xFCFF9C30)
#define     VDC5_CH1_SC1_SCL0_DS3           (*(uint32_t*)0xFCFF9C34)
#define     VDC5_CH1_SC1_SCL0_DS4           (*(uint32_t*)0xFCFF9C38)
#define     VDC5_CH1_SC1_SCL0_DS5           (*(uint32_t*)0xFCFF9C3C)
#define     VDC5_CH1_SC1_SCL0_DS6           (*(uint32_t*)0xFCFF9C40)
#define     VDC5_CH1_SC1_SCL0_DS7           (*(uint32_t*)0xFCFF9C44)
#define     VDC5_CH1_SC1_SCL0_US1           (*(uint32_t*)0xFCFF9C48)
#define     VDC5_CH1_SC1_SCL0_US2           (*(uint32_t*)0xFCFF9C4C)
#define     VDC5_CH1_SC1_SCL0_US3           (*(uint32_t*)0xFCFF9C50)
#define     VDC5_CH1_SC1_SCL0_US4           (*(uint32_t*)0xFCFF9C54)
#define     VDC5_CH1_SC1_SCL0_US5           (*(uint32_t*)0xFCFF9C58)
#define     VDC5_CH1_SC1_SCL0_US6           (*(uint32_t*)0xFCFF9C5C)
#define     VDC5_CH1_SC1_SCL0_US7           (*(uint32_t*)0xFCFF9C60)
#define     VDC5_CH1_SC1_SCL0_US8           (*(uint32_t*)0xFCFF9C64)
#define     VDC5_CH1_SC1_SCL0_OVR1          (*(uint32_t*)0xFCFF9C6C)
#define     VDC5_CH1_SC1_SCL1_UPDATE        (*(uint32_t*)0xFCFF9C80)
#define     VDC5_CH1_SC1_SCL1_WR1           (*(uint32_t*)0xFCFF9C88)
#define     VDC5_CH1_SC1_SCL1_WR2           (*(uint32_t*)0xFCFF9C8C)
#define     VDC5_CH1_SC1_SCL1_WR3           (*(uint32_t*)0xFCFF9C90)
#define     VDC5_CH1_SC1_SCL1_WR4           (*(uint32_t*)0xFCFF9C94)
#define     VDC5_CH1_SC1_SCL1_WR5           (*(uint32_t*)0xFCFF9C9C)
#define     VDC5_CH1_SC1_SCL1_WR6           (*(uint32_t*)0xFCFF9CA0)
#define     VDC5_CH1_SC1_SCL1_WR7           (*(uint32_t*)0xFCFF9CA4)
#define     VDC5_CH1_SC1_SCL1_WR8           (*(uint32_t*)0xFCFF9CA8)
#define     VDC5_CH1_SC1_SCL1_WR9           (*(uint32_t*)0xFCFF9CAC)
#define     VDC5_CH1_SC1_SCL1_WR10          (*(uint32_t*)0xFCFF9CB0)
#define     VDC5_CH1_SC1_SCL1_WR11          (*(uint32_t*)0xFCFF9CB4)
#define     VDC5_CH1_SC1_SCL1_MON1          (*(uint32_t*)0xFCFF9CB8)
#define     VDC5_CH1_SC1_SCL1_PBUF0         (*(uint32_t*)0xFCFF9CBC)
#define     VDC5_CH1_SC1_SCL1_PBUF1         (*(uint32_t*)0xFCFF9CC0)
#define     VDC5_CH1_SC1_SCL1_PBUF2         (*(uint32_t*)0xFCFF9CC4)
#define     VDC5_CH1_SC1_SCL1_PBUF3         (*(uint32_t*)0xFCFF9CC8)
#define     VDC5_CH1_SC1_SCL1_PBUF_FLD      (*(uint32_t*)0xFCFF9CCC)
#define     VDC5_CH1_SC1_SCL1_PBUF_CNT      (*(uint32_t*)0xFCFF9CD0)
#define     VDC5_CH1_GR1_UPDATE             (*(uint32_t*)0xFCFF9D00)
#define     VDC5_CH1_GR1_FLM_RD             (*(uint32_t*)0xFCFF9D04)
#define     VDC5_CH1_GR1_FLM1               (*(uint32_t*)0xFCFF9D08)
#define     VDC5_CH1_GR1_FLM2               (*(uint32_t*)0xFCFF9D0C)
#define     VDC5_CH1_GR1_FLM3               (*(uint32_t*)0xFCFF9D10)
#define     VDC5_CH1_GR1_FLM4               (*(uint32_t*)0xFCFF9D14)
#define     VDC5_CH1_GR1_FLM5               (*(uint32_t*)0xFCFF9D18)
#define     VDC5_CH1_GR1_FLM6               (*(uint32_t*)0xFCFF9D1C)
#define     VDC5_CH1_GR1_AB1                (*(uint32_t*)0xFCFF9D20)
#define     VDC5_CH1_GR1_AB2                (*(uint32_t*)0xFCFF9D24)
#define     VDC5_CH1_GR1_AB3                (*(uint32_t*)0xFCFF9D28)
#define     VDC5_CH1_GR1_AB4                (*(uint32_t*)0xFCFF9D2C)
#define     VDC5_CH1_GR1_AB5                (*(uint32_t*)0xFCFF9D30)
#define     VDC5_CH1_GR1_AB6                (*(uint32_t*)0xFCFF9D34)
#define     VDC5_CH1_GR1_AB7                (*(uint32_t*)0xFCFF9D38)
#define     VDC5_CH1_GR1_AB8                (*(uint32_t*)0xFCFF9D3C)
#define     VDC5_CH1_GR1_AB9                (*(uint32_t*)0xFCFF9D40)
#define     VDC5_CH1_GR1_AB10               (*(uint32_t*)0xFCFF9D44)
#define     VDC5_CH1_GR1_AB11               (*(uint32_t*)0xFCFF9D48)
#define     VDC5_CH1_GR1_BASE               (*(uint32_t*)0xFCFF9D4C)
#define     VDC5_CH1_GR1_CLUT               (*(uint32_t*)0xFCFF9D50)
#define     VDC5_CH1_GR1_MON                (*(uint32_t*)0xFCFF9D54)
#define     VDC5_CH0_ADJ0_UPDATE            (*(uint32_t*)0xFCFF7680)
#define     VDC5_CH0_ADJ0_BKSTR_SET         (*(uint32_t*)0xFCFF7684)
#define     VDC5_CH0_ADJ0_ENH_TIM1          (*(uint32_t*)0xFCFF7688)
#define     VDC5_CH0_ADJ0_ENH_TIM2          (*(uint32_t*)0xFCFF768C)
#define     VDC5_CH0_ADJ0_ENH_TIM3          (*(uint32_t*)0xFCFF7690)
#define     VDC5_CH0_ADJ0_ENH_SHP1          (*(uint32_t*)0xFCFF7694)
#define     VDC5_CH0_ADJ0_ENH_SHP2          (*(uint32_t*)0xFCFF7698)
#define     VDC5_CH0_ADJ0_ENH_SHP3          (*(uint32_t*)0xFCFF769C)
#define     VDC5_CH0_ADJ0_ENH_SHP4          (*(uint32_t*)0xFCFF76A0)
#define     VDC5_CH0_ADJ0_ENH_SHP5          (*(uint32_t*)0xFCFF76A4)
#define     VDC5_CH0_ADJ0_ENH_SHP6          (*(uint32_t*)0xFCFF76A8)
#define     VDC5_CH0_ADJ0_ENH_LTI1          (*(uint32_t*)0xFCFF76AC)
#define     VDC5_CH0_ADJ0_ENH_LTI2          (*(uint32_t*)0xFCFF76B0)
#define     VDC5_CH0_ADJ0_MTX_MODE          (*(uint32_t*)0xFCFF76B4)
#define     VDC5_CH0_ADJ0_MTX_YG_ADJ0       (*(uint32_t*)0xFCFF76B8)
#define     VDC5_CH0_ADJ0_MTX_YG_ADJ1       (*(uint32_t*)0xFCFF76BC)
#define     VDC5_CH0_ADJ0_MTX_CBB_ADJ0      (*(uint32_t*)0xFCFF76C0)
#define     VDC5_CH0_ADJ0_MTX_CBB_ADJ1      (*(uint32_t*)0xFCFF76C4)
#define     VDC5_CH0_ADJ0_MTX_CRR_ADJ0      (*(uint32_t*)0xFCFF76C8)
#define     VDC5_CH0_ADJ0_MTX_CRR_ADJ1      (*(uint32_t*)0xFCFF76CC)
#define     VDC5_CH0_ADJ1_UPDATE            (*(uint32_t*)0xFCFF7D80)
#define     VDC5_CH0_ADJ1_BKSTR_SET         (*(uint32_t*)0xFCFF7D84)
#define     VDC5_CH0_ADJ1_ENH_TIM1          (*(uint32_t*)0xFCFF7D88)
#define     VDC5_CH0_ADJ1_ENH_TIM2          (*(uint32_t*)0xFCFF7D8C)
#define     VDC5_CH0_ADJ1_ENH_TIM3          (*(uint32_t*)0xFCFF7D90)
#define     VDC5_CH0_ADJ1_ENH_SHP1          (*(uint32_t*)0xFCFF7D94)
#define     VDC5_CH0_ADJ1_ENH_SHP2          (*(uint32_t*)0xFCFF7D98)
#define     VDC5_CH0_ADJ1_ENH_SHP3          (*(uint32_t*)0xFCFF7D9C)
#define     VDC5_CH0_ADJ1_ENH_SHP4          (*(uint32_t*)0xFCFF7DA0)
#define     VDC5_CH0_ADJ1_ENH_SHP5          (*(uint32_t*)0xFCFF7DA4)
#define     VDC5_CH0_ADJ1_ENH_SHP6          (*(uint32_t*)0xFCFF7DA8)
#define     VDC5_CH0_ADJ1_ENH_LTI1          (*(uint32_t*)0xFCFF7DAC)
#define     VDC5_CH0_ADJ1_ENH_LTI2          (*(uint32_t*)0xFCFF7DB0)
#define     VDC5_CH0_ADJ1_MTX_MODE          (*(uint32_t*)0xFCFF7DB4)
#define     VDC5_CH0_ADJ1_MTX_YG_ADJ0       (*(uint32_t*)0xFCFF7DB8)
#define     VDC5_CH0_ADJ1_MTX_YG_ADJ1       (*(uint32_t*)0xFCFF7DBC)
#define     VDC5_CH0_ADJ1_MTX_CBB_ADJ0      (*(uint32_t*)0xFCFF7DC0)
#define     VDC5_CH0_ADJ1_MTX_CBB_ADJ1      (*(uint32_t*)0xFCFF7DC4)
#define     VDC5_CH0_ADJ1_MTX_CRR_ADJ0      (*(uint32_t*)0xFCFF7DC8)
#define     VDC5_CH0_ADJ1_MTX_CRR_ADJ1      (*(uint32_t*)0xFCFF7DCC)
#define     VDC5_CH1_ADJ0_UPDATE            (*(uint32_t*)0xFCFF9680)
#define     VDC5_CH1_ADJ0_BKSTR_SET         (*(uint32_t*)0xFCFF9684)
#define     VDC5_CH1_ADJ0_ENH_TIM1          (*(uint32_t*)0xFCFF9688)
#define     VDC5_CH1_ADJ0_ENH_TIM2          (*(uint32_t*)0xFCFF968C)
#define     VDC5_CH1_ADJ0_ENH_TIM3          (*(uint32_t*)0xFCFF9690)
#define     VDC5_CH1_ADJ0_ENH_SHP1          (*(uint32_t*)0xFCFF9694)
#define     VDC5_CH1_ADJ0_ENH_SHP2          (*(uint32_t*)0xFCFF9698)
#define     VDC5_CH1_ADJ0_ENH_SHP3          (*(uint32_t*)0xFCFF969C)
#define     VDC5_CH1_ADJ0_ENH_SHP4          (*(uint32_t*)0xFCFF96A0)
#define     VDC5_CH1_ADJ0_ENH_SHP5          (*(uint32_t*)0xFCFF96A4)
#define     VDC5_CH1_ADJ0_ENH_SHP6          (*(uint32_t*)0xFCFF96A8)
#define     VDC5_CH1_ADJ0_ENH_LTI1          (*(uint32_t*)0xFCFF96AC)
#define     VDC5_CH1_ADJ0_ENH_LTI2          (*(uint32_t*)0xFCFF96B0)
#define     VDC5_CH1_ADJ0_MTX_MODE          (*(uint32_t*)0xFCFF96B4)
#define     VDC5_CH1_ADJ0_MTX_YG_ADJ0       (*(uint32_t*)0xFCFF96B8)
#define     VDC5_CH1_ADJ0_MTX_YG_ADJ1       (*(uint32_t*)0xFCFF96BC)
#define     VDC5_CH1_ADJ0_MTX_CBB_ADJ0      (*(uint32_t*)0xFCFF96C0)
#define     VDC5_CH1_ADJ0_MTX_CBB_ADJ1      (*(uint32_t*)0xFCFF96C4)
#define     VDC5_CH1_ADJ0_MTX_CRR_ADJ0      (*(uint32_t*)0xFCFF96C8)
#define     VDC5_CH1_ADJ0_MTX_CRR_ADJ1      (*(uint32_t*)0xFCFF96CC)
#define     VDC5_CH1_ADJ1_UPDATE            (*(uint32_t*)0xFCFF9D80)
#define     VDC5_CH1_ADJ1_BKSTR_SET         (*(uint32_t*)0xFCFF9D84)
#define     VDC5_CH1_ADJ1_ENH_TIM1          (*(uint32_t*)0xFCFF9D88)
#define     VDC5_CH1_ADJ1_ENH_TIM2          (*(uint32_t*)0xFCFF9D8C)
#define     VDC5_CH1_ADJ1_ENH_TIM3          (*(uint32_t*)0xFCFF9D90)
#define     VDC5_CH1_ADJ1_ENH_SHP1          (*(uint32_t*)0xFCFF9D94)
#define     VDC5_CH1_ADJ1_ENH_SHP2          (*(uint32_t*)0xFCFF9D98)
#define     VDC5_CH1_ADJ1_ENH_SHP3          (*(uint32_t*)0xFCFF9D9C)
#define     VDC5_CH1_ADJ1_ENH_SHP4          (*(uint32_t*)0xFCFF9DA0)
#define     VDC5_CH1_ADJ1_ENH_SHP5          (*(uint32_t*)0xFCFF9DA4)
#define     VDC5_CH1_ADJ1_ENH_SHP6          (*(uint32_t*)0xFCFF9DA8)
#define     VDC5_CH1_ADJ1_ENH_LTI1          (*(uint32_t*)0xFCFF9DAC)
#define     VDC5_CH1_ADJ1_ENH_LTI2          (*(uint32_t*)0xFCFF9DB0)
#define     VDC5_CH1_ADJ1_MTX_MODE          (*(uint32_t*)0xFCFF9DB4)
#define     VDC5_CH1_ADJ1_MTX_YG_ADJ0       (*(uint32_t*)0xFCFF9DB8)
#define     VDC5_CH1_ADJ1_MTX_YG_ADJ1       (*(uint32_t*)0xFCFF9DBC)
#define     VDC5_CH1_ADJ1_MTX_CBB_ADJ0      (*(uint32_t*)0xFCFF9DC0)
#define     VDC5_CH1_ADJ1_MTX_CBB_ADJ1      (*(uint32_t*)0xFCFF9DC4)
#define     VDC5_CH1_ADJ1_MTX_CRR_ADJ0      (*(uint32_t*)0xFCFF9DC8)
#define     VDC5_CH1_ADJ1_MTX_CRR_ADJ1      (*(uint32_t*)0xFCFF9DCC)
#define     VDC5_CH0_GR2_UPDATE             (*(uint32_t*)0xFCFF7700)
#define     VDC5_CH0_GR2_FLM_RD             (*(uint32_t*)0xFCFF7704)
#define     VDC5_CH0_GR2_FLM1               (*(uint32_t*)0xFCFF7708)
#define     VDC5_CH0_GR2_FLM2               (*(uint32_t*)0xFCFF770C)
#define     VDC5_CH0_GR2_FLM3               (*(uint32_t*)0xFCFF7710)
#define     VDC5_CH0_GR2_FLM4               (*(uint32_t*)0xFCFF7714)
#define     VDC5_CH0_GR2_FLM5               (*(uint32_t*)0xFCFF7718)
#define     VDC5_CH0_GR2_FLM6               (*(uint32_t*)0xFCFF771C)
#define     VDC5_CH0_GR2_AB1                (*(uint32_t*)0xFCFF7720)
#define     VDC5_CH0_GR2_AB2                (*(uint32_t*)0xFCFF7724)
#define     VDC5_CH0_GR2_AB3                (*(uint32_t*)0xFCFF7728)
#define     VDC5_CH0_GR2_AB4                (*(uint32_t*)0xFCFF772C)
#define     VDC5_CH0_GR2_AB5                (*(uint32_t*)0xFCFF7730)
#define     VDC5_CH0_GR2_AB6                (*(uint32_t*)0xFCFF7734)
#define     VDC5_CH0_GR2_AB7                (*(uint32_t*)0xFCFF7738)
#define     VDC5_CH0_GR2_AB8                (*(uint32_t*)0xFCFF773C)
#define     VDC5_CH0_GR2_AB9                (*(uint32_t*)0xFCFF7740)
#define     VDC5_CH0_GR2_AB10               (*(uint32_t*)0xFCFF7744)
#define     VDC5_CH0_GR2_AB11               (*(uint32_t*)0xFCFF7748)
#define     VDC5_CH0_GR2_BASE               (*(uint32_t*)0xFCFF774C)
#define     VDC5_CH0_GR2_CLUT               (*(uint32_t*)0xFCFF7750)
#define     VDC5_CH0_GR2_MON                (*(uint32_t*)0xFCFF7754)
#define     VDC5_CH0_GR3_UPDATE             (*(uint32_t*)0xFCFF7780)
#define     VDC5_CH0_GR3_FLM_RD             (*(uint32_t*)0xFCFF7784)
#define     VDC5_CH0_GR3_FLM1               (*(uint32_t*)0xFCFF7788)
#define     VDC5_CH0_GR3_FLM2               (*(uint32_t*)0xFCFF778C)
#define     VDC5_CH0_GR3_FLM3               (*(uint32_t*)0xFCFF7790)
#define     VDC5_CH0_GR3_FLM4               (*(uint32_t*)0xFCFF7794)
#define     VDC5_CH0_GR3_FLM5               (*(uint32_t*)0xFCFF7798)
#define     VDC5_CH0_GR3_FLM6               (*(uint32_t*)0xFCFF779C)
#define     VDC5_CH0_GR3_AB1                (*(uint32_t*)0xFCFF77A0)
#define     VDC5_CH0_GR3_AB2                (*(uint32_t*)0xFCFF77A4)
#define     VDC5_CH0_GR3_AB3                (*(uint32_t*)0xFCFF77A8)
#define     VDC5_CH0_GR3_AB4                (*(uint32_t*)0xFCFF77AC)
#define     VDC5_CH0_GR3_AB5                (*(uint32_t*)0xFCFF77B0)
#define     VDC5_CH0_GR3_AB6                (*(uint32_t*)0xFCFF77B4)
#define     VDC5_CH0_GR3_AB7                (*(uint32_t*)0xFCFF77B8)
#define     VDC5_CH0_GR3_AB8                (*(uint32_t*)0xFCFF77BC)
#define     VDC5_CH0_GR3_AB9                (*(uint32_t*)0xFCFF77C0)
#define     VDC5_CH0_GR3_AB10               (*(uint32_t*)0xFCFF77C4)
#define     VDC5_CH0_GR3_AB11               (*(uint32_t*)0xFCFF77C8)
#define     VDC5_CH0_GR3_BASE               (*(uint32_t*)0xFCFF77CC)
#define     VDC5_CH0_GR3_CLUT_INT           (*(uint32_t*)0xFCFF77D0)
#define     VDC5_CH0_GR3_MON                (*(uint32_t*)0xFCFF77D4)
#define     VDC5_CH0_VIN_UPDATE             (*(uint32_t*)0xFCFF7E00)
#define     VDC5_CH0_VIN_AB1                (*(uint32_t*)0xFCFF7E20)
#define     VDC5_CH0_VIN_AB2                (*(uint32_t*)0xFCFF7E24)
#define     VDC5_CH0_VIN_AB3                (*(uint32_t*)0xFCFF7E28)
#define     VDC5_CH0_VIN_AB4                (*(uint32_t*)0xFCFF7E2C)
#define     VDC5_CH0_VIN_AB5                (*(uint32_t*)0xFCFF7E30)
#define     VDC5_CH0_VIN_AB6                (*(uint32_t*)0xFCFF7E34)
#define     VDC5_CH0_VIN_AB7                (*(uint32_t*)0xFCFF7E38)
#define     VDC5_CH0_VIN_BASE               (*(uint32_t*)0xFCFF7E4C)
#define     VDC5_CH0_VIN_MON                (*(uint32_t*)0xFCFF7E54)
#define     VDC5_CH1_GR2_UPDATE             (*(uint32_t*)0xFCFF9700)
#define     VDC5_CH1_GR2_FLM_RD             (*(uint32_t*)0xFCFF9704)
#define     VDC5_CH1_GR2_FLM1               (*(uint32_t*)0xFCFF9708)
#define     VDC5_CH1_GR2_FLM2               (*(uint32_t*)0xFCFF970C)
#define     VDC5_CH1_GR2_FLM3               (*(uint32_t*)0xFCFF9710)
#define     VDC5_CH1_GR2_FLM4               (*(uint32_t*)0xFCFF9714)
#define     VDC5_CH1_GR2_FLM5               (*(uint32_t*)0xFCFF9718)
#define     VDC5_CH1_GR2_FLM6               (*(uint32_t*)0xFCFF971C)
#define     VDC5_CH1_GR2_AB1                (*(uint32_t*)0xFCFF9720)
#define     VDC5_CH1_GR2_AB2                (*(uint32_t*)0xFCFF9724)
#define     VDC5_CH1_GR2_AB3                (*(uint32_t*)0xFCFF9728)
#define     VDC5_CH1_GR2_AB4                (*(uint32_t*)0xFCFF972C)
#define     VDC5_CH1_GR2_AB5                (*(uint32_t*)0xFCFF9730)
#define     VDC5_CH1_GR2_AB6                (*(uint32_t*)0xFCFF9734)
#define     VDC5_CH1_GR2_AB7                (*(uint32_t*)0xFCFF9738)
#define     VDC5_CH1_GR2_AB8                (*(uint32_t*)0xFCFF973C)
#define     VDC5_CH1_GR2_AB9                (*(uint32_t*)0xFCFF9740)
#define     VDC5_CH1_GR2_AB10               (*(uint32_t*)0xFCFF9744)
#define     VDC5_CH1_GR2_AB11               (*(uint32_t*)0xFCFF9748)
#define     VDC5_CH1_GR2_BASE               (*(uint32_t*)0xFCFF974C)
#define     VDC5_CH1_GR2_CLUT               (*(uint32_t*)0xFCFF9750)
#define     VDC5_CH1_GR2_MON                (*(uint32_t*)0xFCFF9754)
#define     VDC5_CH1_GR3_UPDATE             (*(uint32_t*)0xFCFF9780)
#define     VDC5_CH1_GR3_FLM_RD             (*(uint32_t*)0xFCFF9784)
#define     VDC5_CH1_GR3_FLM1               (*(uint32_t*)0xFCFF9788)
#define     VDC5_CH1_GR3_FLM2               (*(uint32_t*)0xFCFF978C)
#define     VDC5_CH1_GR3_FLM3               (*(uint32_t*)0xFCFF9790)
#define     VDC5_CH1_GR3_FLM4               (*(uint32_t*)0xFCFF9794)
#define     VDC5_CH1_GR3_FLM5               (*(uint32_t*)0xFCFF9798)
#define     VDC5_CH1_GR3_FLM6               (*(uint32_t*)0xFCFF979C)
#define     VDC5_CH1_GR3_AB1                (*(uint32_t*)0xFCFF97A0)
#define     VDC5_CH1_GR3_AB2                (*(uint32_t*)0xFCFF97A4)
#define     VDC5_CH1_GR3_AB3                (*(uint32_t*)0xFCFF97A8)
#define     VDC5_CH1_GR3_AB4                (*(uint32_t*)0xFCFF97AC)
#define     VDC5_CH1_GR3_AB5                (*(uint32_t*)0xFCFF97B0)
#define     VDC5_CH1_GR3_AB6                (*(uint32_t*)0xFCFF97B4)
#define     VDC5_CH1_GR3_AB7                (*(uint32_t*)0xFCFF97B8)
#define     VDC5_CH1_GR3_AB8                (*(uint32_t*)0xFCFF97BC)
#define     VDC5_CH1_GR3_AB9                (*(uint32_t*)0xFCFF97C0)
#define     VDC5_CH1_GR3_AB10               (*(uint32_t*)0xFCFF97C4)
#define     VDC5_CH1_GR3_AB11               (*(uint32_t*)0xFCFF97C8)
#define     VDC5_CH1_GR3_BASE               (*(uint32_t*)0xFCFF97CC)
#define     VDC5_CH1_GR3_CLUT_INT           (*(uint32_t*)0xFCFF97D0)
#define     VDC5_CH1_GR3_MON                (*(uint32_t*)0xFCFF97D4)
#define     VDC5_CH1_VIN_UPDATE             (*(uint32_t*)0xFCFF9E00)
#define     VDC5_CH1_VIN_AB1                (*(uint32_t*)0xFCFF9E20)
#define     VDC5_CH1_VIN_AB2                (*(uint32_t*)0xFCFF9E24)
#define     VDC5_CH1_VIN_AB3                (*(uint32_t*)0xFCFF9E28)
#define     VDC5_CH1_VIN_AB4                (*(uint32_t*)0xFCFF9E2C)
#define     VDC5_CH1_VIN_AB5                (*(uint32_t*)0xFCFF9E30)
#define     VDC5_CH1_VIN_AB6                (*(uint32_t*)0xFCFF9E34)
#define     VDC5_CH1_VIN_AB7                (*(uint32_t*)0xFCFF9E38)
#define     VDC5_CH1_VIN_BASE               (*(uint32_t*)0xFCFF9E4C)
#define     VDC5_CH1_VIN_MON                (*(uint32_t*)0xFCFF9E54)
#define     VDC5_CH0_OIR_SCL0_UPDATE        (*(uint32_t*)0xFCFF7E80)
#define     VDC5_CH0_OIR_SCL0_FRC1          (*(uint32_t*)0xFCFF7E84)
#define     VDC5_CH0_OIR_SCL0_FRC2          (*(uint32_t*)0xFCFF7E88)
#define     VDC5_CH0_OIR_SCL0_FRC3          (*(uint32_t*)0xFCFF7E8C)
#define     VDC5_CH0_OIR_SCL0_FRC4          (*(uint32_t*)0xFCFF7E90)
#define     VDC5_CH0_OIR_SCL0_FRC5          (*(uint32_t*)0xFCFF7E94)
#define     VDC5_CH0_OIR_SCL0_FRC6          (*(uint32_t*)0xFCFF7E98)
#define     VDC5_CH0_OIR_SCL0_FRC7          (*(uint32_t*)0xFCFF7E9C)
#define     VDC5_CH0_OIR_SCL0_DS1           (*(uint32_t*)0xFCFF7EAC)
#define     VDC5_CH0_OIR_SCL0_DS2           (*(uint32_t*)0xFCFF7EB0)
#define     VDC5_CH0_OIR_SCL0_DS3           (*(uint32_t*)0xFCFF7EB4)
#define     VDC5_CH0_OIR_SCL0_DS7           (*(uint32_t*)0xFCFF7EC4)
#define     VDC5_CH0_OIR_SCL0_US1           (*(uint32_t*)0xFCFF7EC8)
#define     VDC5_CH0_OIR_SCL0_US2           (*(uint32_t*)0xFCFF7ECC)
#define     VDC5_CH0_OIR_SCL0_US3           (*(uint32_t*)0xFCFF7ED0)
#define     VDC5_CH0_OIR_SCL0_US8           (*(uint32_t*)0xFCFF7EE4)
#define     VDC5_CH0_OIR_SCL0_OVR1          (*(uint32_t*)0xFCFF7EEC)
#define     VDC5_CH0_OIR_SCL1_UPDATE        (*(uint32_t*)0xFCFF7F00)
#define     VDC5_CH0_OIR_SCL1_WR1           (*(uint32_t*)0xFCFF7F08)
#define     VDC5_CH0_OIR_SCL1_WR2           (*(uint32_t*)0xFCFF7F0C)
#define     VDC5_CH0_OIR_SCL1_WR3           (*(uint32_t*)0xFCFF7F10)
#define     VDC5_CH0_OIR_SCL1_WR4           (*(uint32_t*)0xFCFF7F14)
#define     VDC5_CH0_OIR_SCL1_WR5           (*(uint32_t*)0xFCFF7F1C)
#define     VDC5_CH0_OIR_SCL1_WR6           (*(uint32_t*)0xFCFF7F20)
#define     VDC5_CH0_OIR_SCL1_WR7           (*(uint32_t*)0xFCFF7F24)
#define     VDC5_CH0_OIR_SCL1_INT           (*(uint32_t*)0xFCFF7F34)
#define     VDC5_CH0_GR_OIR_UPDATE          (*(uint32_t*)0xFCFF7F80)
#define     VDC5_CH0_GR_OIR_FLM_RD          (*(uint32_t*)0xFCFF7F84)
#define     VDC5_CH0_GR_OIR_FLM1            (*(uint32_t*)0xFCFF7F88)
#define     VDC5_CH0_GR_OIR_FLM2            (*(uint32_t*)0xFCFF7F8C)
#define     VDC5_CH0_GR_OIR_FLM3            (*(uint32_t*)0xFCFF7F90)
#define     VDC5_CH0_GR_OIR_FLM4            (*(uint32_t*)0xFCFF7F94)
#define     VDC5_CH0_GR_OIR_FLM5            (*(uint32_t*)0xFCFF7F98)
#define     VDC5_CH0_GR_OIR_FLM6            (*(uint32_t*)0xFCFF7F9C)
#define     VDC5_CH0_GR_OIR_AB1             (*(uint32_t*)0xFCFF7FA0)
#define     VDC5_CH0_GR_OIR_AB2             (*(uint32_t*)0xFCFF7FA4)
#define     VDC5_CH0_GR_OIR_AB3             (*(uint32_t*)0xFCFF7FA8)
#define     VDC5_CH0_GR_OIR_AB7             (*(uint32_t*)0xFCFF7FB8)
#define     VDC5_CH0_GR_OIR_AB8             (*(uint32_t*)0xFCFF7FBC)
#define     VDC5_CH0_GR_OIR_AB9             (*(uint32_t*)0xFCFF7FC0)
#define     VDC5_CH0_GR_OIR_AB10            (*(uint32_t*)0xFCFF7FC4)
#define     VDC5_CH0_GR_OIR_AB11            (*(uint32_t*)0xFCFF7FC8)
#define     VDC5_CH0_GR_OIR_BASE            (*(uint32_t*)0xFCFF7FCC)
#define     VDC5_CH0_GR_OIR_CLUT            (*(uint32_t*)0xFCFF7FD0)
#define     VDC5_CH0_GR_OIR_MON             (*(uint32_t*)0xFFFF7FD4)
#define     VDC5_CH1_OIR_SCL0_UPDATE        (*(uint32_t*)0xFCFF9E80)
#define     VDC5_CH1_OIR_SCL0_FRC1          (*(uint32_t*)0xFCFF9E84)
#define     VDC5_CH1_OIR_SCL0_FRC2          (*(uint32_t*)0xFCFF9E88)
#define     VDC5_CH1_OIR_SCL0_FRC3          (*(uint32_t*)0xFCFF9E8C)
#define     VDC5_CH1_OIR_SCL0_FRC4          (*(uint32_t*)0xFCFF9E90)
#define     VDC5_CH1_OIR_SCL0_FRC5          (*(uint32_t*)0xFCFF9E94)
#define     VDC5_CH1_OIR_SCL0_FRC6          (*(uint32_t*)0xFCFF9E98)
#define     VDC5_CH1_OIR_SCL0_FRC7          (*(uint32_t*)0xFCFF9E9C)
#define     VDC5_CH1_OIR_SCL0_DS1           (*(uint32_t*)0xFCFF9EAC)
#define     VDC5_CH1_OIR_SCL0_DS2           (*(uint32_t*)0xFCFF9EB0)
#define     VDC5_CH1_OIR_SCL0_DS3           (*(uint32_t*)0xFCFF9EB4)
#define     VDC5_CH1_OIR_SCL0_DS7           (*(uint32_t*)0xFCFF9EC4)
#define     VDC5_CH1_OIR_SCL0_US1           (*(uint32_t*)0xFCFF9EC8)
#define     VDC5_CH1_OIR_SCL0_US2           (*(uint32_t*)0xFCFF9ECC)
#define     VDC5_CH1_OIR_SCL0_US3           (*(uint32_t*)0xFCFF9ED0)
#define     VDC5_CH1_OIR_SCL0_US8           (*(uint32_t*)0xFCFF9EE4)
#define     VDC5_CH1_OIR_SCL0_OVR1          (*(uint32_t*)0xFCFF9EEC)
#define     VDC5_CH1_OIR_SCL1_UPDATE        (*(uint32_t*)0xFCFF9F00)
#define     VDC5_CH1_OIR_SCL1_WR1           (*(uint32_t*)0xFCFF9F08)
#define     VDC5_CH1_OIR_SCL1_WR2           (*(uint32_t*)0xFCFF9F0C)
#define     VDC5_CH1_OIR_SCL1_WR3           (*(uint32_t*)0xFCFF9F10)
#define     VDC5_CH1_OIR_SCL1_WR4           (*(uint32_t*)0xFCFF9F14)
#define     VDC5_CH1_OIR_SCL1_WR5           (*(uint32_t*)0xFCFF9F1C)
#define     VDC5_CH1_OIR_SCL1_WR6           (*(uint32_t*)0xFCFF9F20)
#define     VDC5_CH1_OIR_SCL1_WR7           (*(uint32_t*)0xFCFF9F24)
#define     VDC5_CH1_OIR_SCL1_INT           (*(uint32_t*)0xFCFF9F34)
#define     VDC5_CH1_GR_OIR_UPDATE          (*(uint32_t*)0xFCFF9F80)
#define     VDC5_CH1_GR_OIR_FLM_RD          (*(uint32_t*)0xFCFF9F84)
#define     VDC5_CH1_GR_OIR_FLM1            (*(uint32_t*)0xFCFF9F88)
#define     VDC5_CH1_GR_OIR_FLM2            (*(uint32_t*)0xFCFF9F8C)
#define     VDC5_CH1_GR_OIR_FLM3            (*(uint32_t*)0xFCFF9F90)
#define     VDC5_CH1_GR_OIR_FLM4            (*(uint32_t*)0xFCFF9F94)
#define     VDC5_CH1_GR_OIR_FLM5            (*(uint32_t*)0xFCFF9F98)
#define     VDC5_CH1_GR_OIR_FLM6            (*(uint32_t*)0xFCFF9F9C)
#define     VDC5_CH1_GR_OIR_AB1             (*(uint32_t*)0xFCFF9FA0)
#define     VDC5_CH1_GR_OIR_AB2             (*(uint32_t*)0xFCFF9FA4)
#define     VDC5_CH1_GR_OIR_AB3             (*(uint32_t*)0xFCFF9FA8)
#define     VDC5_CH1_GR_OIR_AB7             (*(uint32_t*)0xFCFF9FB8)
#define     VDC5_CH1_GR_OIR_AB8             (*(uint32_t*)0xFCFF9FBC)
#define     VDC5_CH1_GR_OIR_AB9             (*(uint32_t*)0xFCFF9FC0)
#define     VDC5_CH1_GR_OIR_AB10            (*(uint32_t*)0xFCFF9FC4)
#define     VDC5_CH1_GR_OIR_AB11            (*(uint32_t*)0xFCFF9FC8)
#define     VDC5_CH1_GR_OIR_BASE            (*(uint32_t*)0xFCFF9FCC)
#define     VDC5_CH1_GR_OIR_CLUT            (*(uint32_t*)0xFCFF9FD0)
#define     VDC5_CH1_GR_OIR_MON             (*(uint32_t*)0xFFFF9FD4)
#define     VDC5_CH0_GAM_G_UPDATE           (*(uint32_t*)0xFCFF7800)
#define     VDC5_CH0_GAM_SW                 (*(uint32_t*)0xFCFF7804)
#define     VDC5_CH0_GAM_G_LUT1             (*(uint32_t*)0xFCFF7808)
#define     VDC5_CH0_GAM_G_LUT2             (*(uint32_t*)0xFCFF780C)
#define     VDC5_CH0_GAM_G_LUT3             (*(uint32_t*)0xFCFF7810)
#define     VDC5_CH0_GAM_G_LUT4             (*(uint32_t*)0xFCFF7814)
#define     VDC5_CH0_GAM_G_LUT5             (*(uint32_t*)0xFCFF7818)
#define     VDC5_CH0_GAM_G_LUT6             (*(uint32_t*)0xFCFF781C)
#define     VDC5_CH0_GAM_G_LUT7             (*(uint32_t*)0xFCFF7820)
#define     VDC5_CH0_GAM_G_LUT8             (*(uint32_t*)0xFCFF7824)
#define     VDC5_CH0_GAM_G_LUT9             (*(uint32_t*)0xFCFF7828)
#define     VDC5_CH0_GAM_G_LUT10            (*(uint32_t*)0xFCFF782C)
#define     VDC5_CH0_GAM_G_LUT11            (*(uint32_t*)0xFCFF7830)
#define     VDC5_CH0_GAM_G_LUT12            (*(uint32_t*)0xFCFF7834)
#define     VDC5_CH0_GAM_G_LUT13            (*(uint32_t*)0xFCFF7838)
#define     VDC5_CH0_GAM_G_LUT14            (*(uint32_t*)0xFCFF783C)
#define     VDC5_CH0_GAM_G_LUT15            (*(uint32_t*)0xFCFF7840)
#define     VDC5_CH0_GAM_G_LUT16            (*(uint32_t*)0xFCFF7844)
#define     VDC5_CH0_GAM_G_AREA1            (*(uint32_t*)0xFCFF7848)
#define     VDC5_CH0_GAM_G_AREA2            (*(uint32_t*)0xFCFF784C)
#define     VDC5_CH0_GAM_G_AREA3            (*(uint32_t*)0xFCFF7850)
#define     VDC5_CH0_GAM_G_AREA4            (*(uint32_t*)0xFCFF7854)
#define     VDC5_CH0_GAM_G_AREA5            (*(uint32_t*)0xFCFF7858)
#define     VDC5_CH0_GAM_G_AREA6            (*(uint32_t*)0xFCFF785C)
#define     VDC5_CH0_GAM_G_AREA7            (*(uint32_t*)0xFCFF7860)
#define     VDC5_CH0_GAM_G_AREA8            (*(uint32_t*)0xFCFF7864)
#define     VDC5_CH0_GAM_B_UPDATE           (*(uint32_t*)0xFCFF7880)
#define     VDC5_CH0_GAM_B_LUT1             (*(uint32_t*)0xFCFF7888)
#define     VDC5_CH0_GAM_B_LUT2             (*(uint32_t*)0xFCFF788C)
#define     VDC5_CH0_GAM_B_LUT3             (*(uint32_t*)0xFCFF7890)
#define     VDC5_CH0_GAM_B_LUT4             (*(uint32_t*)0xFCFF7894)
#define     VDC5_CH0_GAM_B_LUT5             (*(uint32_t*)0xFCFF7898)
#define     VDC5_CH0_GAM_B_LUT6             (*(uint32_t*)0xFCFF789C)
#define     VDC5_CH0_GAM_B_LUT7             (*(uint32_t*)0xFCFF78A0)
#define     VDC5_CH0_GAM_B_LUT8             (*(uint32_t*)0xFCFF78A4)
#define     VDC5_CH0_GAM_B_LUT9             (*(uint32_t*)0xFCFF78A8)
#define     VDC5_CH0_GAM_B_LUT10            (*(uint32_t*)0xFCFF78AC)
#define     VDC5_CH0_GAM_B_LUT11            (*(uint32_t*)0xFCFF78B0)
#define     VDC5_CH0_GAM_B_LUT12            (*(uint32_t*)0xFCFF78B4)
#define     VDC5_CH0_GAM_B_LUT13            (*(uint32_t*)0xFCFF78B8)
#define     VDC5_CH0_GAM_B_LUT14            (*(uint32_t*)0xFCFF78BC)
#define     VDC5_CH0_GAM_B_LUT15            (*(uint32_t*)0xFCFF78C0)
#define     VDC5_CH0_GAM_B_LUT16            (*(uint32_t*)0xFCFF78C4)
#define     VDC5_CH0_GAM_B_AREA1            (*(uint32_t*)0xFCFF78C8)
#define     VDC5_CH0_GAM_B_AREA2            (*(uint32_t*)0xFCFF78CC)
#define     VDC5_CH0_GAM_B_AREA3            (*(uint32_t*)0xFCFF78D0)
#define     VDC5_CH0_GAM_B_AREA4            (*(uint32_t*)0xFCFF78D4)
#define     VDC5_CH0_GAM_B_AREA5            (*(uint32_t*)0xFCFF78D8)
#define     VDC5_CH0_GAM_B_AREA6            (*(uint32_t*)0xFCFF78DC)
#define     VDC5_CH0_GAM_B_AREA7            (*(uint32_t*)0xFCFF78E0)
#define     VDC5_CH0_GAM_B_AREA8            (*(uint32_t*)0xFCFF78E4)
#define     VDC5_CH0_GAM_R_UPDATE           (*(uint32_t*)0xFCFF7900)
#define     VDC5_CH0_GAM_R_LUT1             (*(uint32_t*)0xFCFF7908)
#define     VDC5_CH0_GAM_R_LUT2             (*(uint32_t*)0xFCFF790C)
#define     VDC5_CH0_GAM_R_LUT3             (*(uint32_t*)0xFCFF7910)
#define     VDC5_CH0_GAM_R_LUT4             (*(uint32_t*)0xFCFF7914)
#define     VDC5_CH0_GAM_R_LUT5             (*(uint32_t*)0xFCFF7918)
#define     VDC5_CH0_GAM_R_LUT6             (*(uint32_t*)0xFCFF791C)
#define     VDC5_CH0_GAM_R_LUT7             (*(uint32_t*)0xFCFF7920)
#define     VDC5_CH0_GAM_R_LUT8             (*(uint32_t*)0xFCFF7924)
#define     VDC5_CH0_GAM_R_LUT9             (*(uint32_t*)0xFCFF7928)
#define     VDC5_CH0_GAM_R_LUT10            (*(uint32_t*)0xFCFF792C)
#define     VDC5_CH0_GAM_R_LUT11            (*(uint32_t*)0xFCFF7930)
#define     VDC5_CH0_GAM_R_LUT12            (*(uint32_t*)0xFCFF7934)
#define     VDC5_CH0_GAM_R_LUT13            (*(uint32_t*)0xFCFF7938)
#define     VDC5_CH0_GAM_R_LUT14            (*(uint32_t*)0xFCFF793C)
#define     VDC5_CH0_GAM_R_LUT15            (*(uint32_t*)0xFCFF7940)
#define     VDC5_CH0_GAM_R_LUT16            (*(uint32_t*)0xFCFF7944)
#define     VDC5_CH0_GAM_R_AREA1            (*(uint32_t*)0xFCFF7948)
#define     VDC5_CH0_GAM_R_AREA2            (*(uint32_t*)0xFCFF794C)
#define     VDC5_CH0_GAM_R_AREA3            (*(uint32_t*)0xFCFF7950)
#define     VDC5_CH0_GAM_R_AREA4            (*(uint32_t*)0xFCFF7954)
#define     VDC5_CH0_GAM_R_AREA5            (*(uint32_t*)0xFCFF7958)
#define     VDC5_CH0_GAM_R_AREA6            (*(uint32_t*)0xFCFF795C)
#define     VDC5_CH0_GAM_R_AREA7            (*(uint32_t*)0xFCFF7960)
#define     VDC5_CH0_GAM_R_AREA8            (*(uint32_t*)0xFCFF7964)
#define     VDC5_CH0_TCON_UPDATE            (*(uint32_t*)0xFCFF7980)
#define     VDC5_CH0_TCON_TIM               (*(uint32_t*)0xFCFF7984)
#define     VDC5_CH0_TCON_TIM_STVA1         (*(uint32_t*)0xFCFF7988)
#define     VDC5_CH0_TCON_TIM_STVA2         (*(uint32_t*)0xFCFF798C)
#define     VDC5_CH0_TCON_TIM_STVB1         (*(uint32_t*)0xFCFF7990)
#define     VDC5_CH0_TCON_TIM_STVB2         (*(uint32_t*)0xFCFF7994)
#define     VDC5_CH0_TCON_TIM_STH1          (*(uint32_t*)0xFCFF7998)
#define     VDC5_CH0_TCON_TIM_STH2          (*(uint32_t*)0xFCFF799C)
#define     VDC5_CH0_TCON_TIM_STB1          (*(uint32_t*)0xFCFF79A0)
#define     VDC5_CH0_TCON_TIM_STB2          (*(uint32_t*)0xFCFF79A4)
#define     VDC5_CH0_TCON_TIM_CPV1          (*(uint32_t*)0xFCFF79A8)
#define     VDC5_CH0_TCON_TIM_CPV2          (*(uint32_t*)0xFCFF79AC)
#define     VDC5_CH0_TCON_TIM_POLA1         (*(uint32_t*)0xFCFF79B0)
#define     VDC5_CH0_TCON_TIM_POLA2         (*(uint32_t*)0xFCFF79B4)
#define     VDC5_CH0_TCON_TIM_POLB1         (*(uint32_t*)0xFCFF79B8)
#define     VDC5_CH0_TCON_TIM_POLB2         (*(uint32_t*)0xFCFF79BC)
#define     VDC5_CH0_TCON_TIM_DE            (*(uint32_t*)0xFCFF79C0)
#define     VDC5_CH0_OUT_UPDATE             (*(uint32_t*)0xFCFF7A00)
#define     VDC5_CH0_OUT_SET                (*(uint32_t*)0xFCFF7A04)
#define     VDC5_CH0_OUT_BRIGHT1            (*(uint32_t*)0xFCFF7A08)
#define     VDC5_CH0_OUT_BRIGHT2            (*(uint32_t*)0xFCFF7A0C)
#define     VDC5_CH0_OUT_CONTRAST           (*(uint32_t*)0xFCFF7A10)
#define     VDC5_CH0_OUT_PDTHA              (*(uint32_t*)0xFCFF7A14)
#define     VDC5_CH0_OUT_CLK_PHASE          (*(uint32_t*)0xFCFF7A24)
#define     VDC5_CH1_GAM_G_UPDATE           (*(uint32_t*)0xFCFF9800)
#define     VDC5_CH1_GAM_SW                 (*(uint32_t*)0xFCFF9804)
#define     VDC5_CH1_GAM_G_LUT1             (*(uint32_t*)0xFCFF9808)
#define     VDC5_CH1_GAM_G_LUT2             (*(uint32_t*)0xFCFF980C)
#define     VDC5_CH1_GAM_G_LUT3             (*(uint32_t*)0xFCFF9810)
#define     VDC5_CH1_GAM_G_LUT4             (*(uint32_t*)0xFCFF9814)
#define     VDC5_CH1_GAM_G_LUT5             (*(uint32_t*)0xFCFF9818)
#define     VDC5_CH1_GAM_G_LUT6             (*(uint32_t*)0xFCFF981C)
#define     VDC5_CH1_GAM_G_LUT7             (*(uint32_t*)0xFCFF9820)
#define     VDC5_CH1_GAM_G_LUT8             (*(uint32_t*)0xFCFF9824)
#define     VDC5_CH1_GAM_G_LUT9             (*(uint32_t*)0xFCFF9828)
#define     VDC5_CH1_GAM_G_LUT10            (*(uint32_t*)0xFCFF982C)
#define     VDC5_CH1_GAM_G_LUT11            (*(uint32_t*)0xFCFF9830)
#define     VDC5_CH1_GAM_G_LUT12            (*(uint32_t*)0xFCFF9834)
#define     VDC5_CH1_GAM_G_LUT13            (*(uint32_t*)0xFCFF9838)
#define     VDC5_CH1_GAM_G_LUT14            (*(uint32_t*)0xFCFF983C)
#define     VDC5_CH1_GAM_G_LUT15            (*(uint32_t*)0xFCFF9840)
#define     VDC5_CH1_GAM_G_LUT16            (*(uint32_t*)0xFCFF9844)
#define     VDC5_CH1_GAM_G_AREA1            (*(uint32_t*)0xFCFF9848)
#define     VDC5_CH1_GAM_G_AREA2            (*(uint32_t*)0xFCFF984C)
#define     VDC5_CH1_GAM_G_AREA3            (*(uint32_t*)0xFCFF9850)
#define     VDC5_CH1_GAM_G_AREA4            (*(uint32_t*)0xFCFF9854)
#define     VDC5_CH1_GAM_G_AREA5            (*(uint32_t*)0xFCFF9858)
#define     VDC5_CH1_GAM_G_AREA6            (*(uint32_t*)0xFCFF985C)
#define     VDC5_CH1_GAM_G_AREA7            (*(uint32_t*)0xFCFF9860)
#define     VDC5_CH1_GAM_G_AREA8            (*(uint32_t*)0xFCFF9864)
#define     VDC5_CH1_GAM_B_UPDATE           (*(uint32_t*)0xFCFF9880)
#define     VDC5_CH1_GAM_B_LUT1             (*(uint32_t*)0xFCFF9888)
#define     VDC5_CH1_GAM_B_LUT2             (*(uint32_t*)0xFCFF988C)
#define     VDC5_CH1_GAM_B_LUT3             (*(uint32_t*)0xFCFF9890)
#define     VDC5_CH1_GAM_B_LUT4             (*(uint32_t*)0xFCFF9894)
#define     VDC5_CH1_GAM_B_LUT5             (*(uint32_t*)0xFCFF9898)
#define     VDC5_CH1_GAM_B_LUT6             (*(uint32_t*)0xFCFF989C)
#define     VDC5_CH1_GAM_B_LUT7             (*(uint32_t*)0xFCFF98A0)
#define     VDC5_CH1_GAM_B_LUT8             (*(uint32_t*)0xFCFF98A4)
#define     VDC5_CH1_GAM_B_LUT9             (*(uint32_t*)0xFCFF98A8)
#define     VDC5_CH1_GAM_B_LUT10            (*(uint32_t*)0xFCFF98AC)
#define     VDC5_CH1_GAM_B_LUT11            (*(uint32_t*)0xFCFF98B0)
#define     VDC5_CH1_GAM_B_LUT12            (*(uint32_t*)0xFCFF98B4)
#define     VDC5_CH1_GAM_B_LUT13            (*(uint32_t*)0xFCFF98B8)
#define     VDC5_CH1_GAM_B_LUT14            (*(uint32_t*)0xFCFF98BC)
#define     VDC5_CH1_GAM_B_LUT15            (*(uint32_t*)0xFCFF98C0)
#define     VDC5_CH1_GAM_B_LUT16            (*(uint32_t*)0xFCFF98C4)
#define     VDC5_CH1_GAM_B_AREA1            (*(uint32_t*)0xFCFF98C8)
#define     VDC5_CH1_GAM_B_AREA2            (*(uint32_t*)0xFCFF98CC)
#define     VDC5_CH1_GAM_B_AREA3            (*(uint32_t*)0xFCFF98D0)
#define     VDC5_CH1_GAM_B_AREA4            (*(uint32_t*)0xFCFF98D4)
#define     VDC5_CH1_GAM_B_AREA5            (*(uint32_t*)0xFCFF98D8)
#define     VDC5_CH1_GAM_B_AREA6            (*(uint32_t*)0xFCFF98DC)
#define     VDC5_CH1_GAM_B_AREA7            (*(uint32_t*)0xFCFF98E0)
#define     VDC5_CH1_GAM_B_AREA8            (*(uint32_t*)0xFCFF98E4)
#define     VDC5_CH1_GAM_R_UPDATE           (*(uint32_t*)0xFCFF9900)
#define     VDC5_CH1_GAM_R_LUT1             (*(uint32_t*)0xFCFF9908)
#define     VDC5_CH1_GAM_R_LUT2             (*(uint32_t*)0xFCFF990C)
#define     VDC5_CH1_GAM_R_LUT3             (*(uint32_t*)0xFCFF9910)
#define     VDC5_CH1_GAM_R_LUT4             (*(uint32_t*)0xFCFF9914)
#define     VDC5_CH1_GAM_R_LUT5             (*(uint32_t*)0xFCFF9918)
#define     VDC5_CH1_GAM_R_LUT6             (*(uint32_t*)0xFCFF991C)
#define     VDC5_CH1_GAM_R_LUT7             (*(uint32_t*)0xFCFF9920)
#define     VDC5_CH1_GAM_R_LUT8             (*(uint32_t*)0xFCFF9924)
#define     VDC5_CH1_GAM_R_LUT9             (*(uint32_t*)0xFCFF9928)
#define     VDC5_CH1_GAM_R_LUT10            (*(uint32_t*)0xFCFF992C)
#define     VDC5_CH1_GAM_R_LUT11            (*(uint32_t*)0xFCFF9930)
#define     VDC5_CH1_GAM_R_LUT12            (*(uint32_t*)0xFCFF9934)
#define     VDC5_CH1_GAM_R_LUT13            (*(uint32_t*)0xFCFF9938)
#define     VDC5_CH1_GAM_R_LUT14            (*(uint32_t*)0xFCFF993C)
#define     VDC5_CH1_GAM_R_LUT15            (*(uint32_t*)0xFCFF9940)
#define     VDC5_CH1_GAM_R_LUT16            (*(uint32_t*)0xFCFF9944)
#define     VDC5_CH1_GAM_R_AREA1            (*(uint32_t*)0xFCFF9948)
#define     VDC5_CH1_GAM_R_AREA2            (*(uint32_t*)0xFCFF994C)
#define     VDC5_CH1_GAM_R_AREA3            (*(uint32_t*)0xFCFF9950)
#define     VDC5_CH1_GAM_R_AREA4            (*(uint32_t*)0xFCFF9954)
#define     VDC5_CH1_GAM_R_AREA5            (*(uint32_t*)0xFCFF9958)
#define     VDC5_CH1_GAM_R_AREA6            (*(uint32_t*)0xFCFF995C)
#define     VDC5_CH1_GAM_R_AREA7            (*(uint32_t*)0xFCFF9960)
#define     VDC5_CH1_GAM_R_AREA8            (*(uint32_t*)0xFCFF9964)
#define     VDC5_CH1_TCON_UPDATE            (*(uint32_t*)0xFCFF9980)
#define     VDC5_CH1_TCON_TIM               (*(uint32_t*)0xFCFF9984)
#define     VDC5_CH1_TCON_TIM_STVA1         (*(uint32_t*)0xFCFF9988)
#define     VDC5_CH1_TCON_TIM_STVA2         (*(uint32_t*)0xFCFF998C)
#define     VDC5_CH1_TCON_TIM_STVB1         (*(uint32_t*)0xFCFF9990)
#define     VDC5_CH1_TCON_TIM_STVB2         (*(uint32_t*)0xFCFF9994)
#define     VDC5_CH1_TCON_TIM_STH1          (*(uint32_t*)0xFCFF9998)
#define     VDC5_CH1_TCON_TIM_STH2          (*(uint32_t*)0xFCFF999C)
#define     VDC5_CH1_TCON_TIM_STB1          (*(uint32_t*)0xFCFF99A0)
#define     VDC5_CH1_TCON_TIM_STB2          (*(uint32_t*)0xFCFF99A4)
#define     VDC5_CH1_TCON_TIM_CPV1          (*(uint32_t*)0xFCFF99A8)
#define     VDC5_CH1_TCON_TIM_CPV2          (*(uint32_t*)0xFCFF99AC)
#define     VDC5_CH1_TCON_TIM_POLA1         (*(uint32_t*)0xFCFF99B0)
#define     VDC5_CH1_TCON_TIM_POLA2         (*(uint32_t*)0xFCFF99B4)
#define     VDC5_CH1_TCON_TIM_POLB1         (*(uint32_t*)0xFCFF99B8)
#define     VDC5_CH1_TCON_TIM_POLB2         (*(uint32_t*)0xFCFF99BC)
#define     VDC5_CH1_TCON_TIM_DE            (*(uint32_t*)0xFCFF99C0)
#define     VDC5_CH1_OUT_UPDATE             (*(uint32_t*)0xFCFF9A00)
#define     VDC5_CH1_OUT_SET                (*(uint32_t*)0xFCFF9A04)
#define     VDC5_CH1_OUT_BRIGHT1            (*(uint32_t*)0xFCFF9A08)
#define     VDC5_CH1_OUT_BRIGHT2            (*(uint32_t*)0xFCFF9A0C)
#define     VDC5_CH1_OUT_CONTRAST           (*(uint32_t*)0xFCFF9A10)
#define     VDC5_CH1_OUT_PDTHA              (*(uint32_t*)0xFCFF9A14)
#define     VDC5_CH1_OUT_CLK_PHASE          (*(uint32_t*)0xFCFF9A24)
#define     VDC5_CH0_SYSCNT_INT1            (*(uint32_t*)0xFCFF7A80)
#define     VDC5_CH0_SYSCNT_INT2            (*(uint32_t*)0xFCFF7A84)
#define     VDC5_CH0_SYSCNT_INT3            (*(uint32_t*)0xFCFF7A88)
#define     VDC5_CH0_SYSCNT_INT4            (*(uint32_t*)0xFCFF7A8C)
#define     VDC5_CH0_SYSCNT_INT5            (*(uint32_t*)0xFCFF7A90)
#define     VDC5_CH0_SYSCNT_INT6            (*(uint32_t*)0xFCFF7A94)
#define     VDC5_CH0_SYSCNT_PANEL_CLK       (*(uint16_t*)0xFCFF7A98)
#define     VDC5_CH0_SYSCNT_CLUT            (*(uint16_t*)0xFCFF7A9A)
#define     VDC5_CH1_SYSCNT_INT1            (*(uint32_t*)0xFCFF9A80)
#define     VDC5_CH1_SYSCNT_INT2            (*(uint32_t*)0xFCFF9A84)
#define     VDC5_CH1_SYSCNT_INT3            (*(uint32_t*)0xFCFF9A88)
#define     VDC5_CH1_SYSCNT_INT4            (*(uint32_t*)0xFCFF9A8C)
#define     VDC5_CH1_SYSCNT_INT5            (*(uint32_t*)0xFCFF9A90)
#define     VDC5_CH1_SYSCNT_INT6            (*(uint32_t*)0xFCFF9A94)
#define     VDC5_CH1_SYSCNT_PANEL_CLK       (*(uint16_t*)0xFCFF9A98)
#define     VDC5_CH1_SYSCNT_CLUT            (*(uint16_t*)0xFCFF9A9A)

#define     VDC5_CH0_GR0_CLUT_TBL           (*(uint32_t*)0xFCFF6000)
#define     VDC5_CH0_GR1_CLUT_TBL           (*(uint32_t*)0xFCFF6400)
#define     VDC5_CH0_GR2_CLUT_TBL           (*(uint32_t*)0xFCFF6800)
#define     VDC5_CH0_GR3_CLUT_TBL           (*(uint32_t*)0xFCFF6C00)
#define     VDC5_CH0_GR_OIR_CLUT_TBL        (*(uint32_t*)0xFCFF7000)
#define     VDC5_CH1_GR0_CLUT_TBL           (*(uint32_t*)0xFCFF8000)
#define     VDC5_CH1_GR1_CLUT_TBL           (*(uint32_t*)0xFCFF8400)
#define     VDC5_CH1_GR2_CLUT_TBL           (*(uint32_t*)0xFCFF8800)
#define     VDC5_CH1_GR3_CLUT_TBL           (*(uint32_t*)0xFCFF8C00)
#define     VDC5_CH1_GR_OIR_CLUT_TBL        (*(uint32_t*)0xFCFF9000)
/* LVDS */
#ifdef LVDS_UPDATE
#undef LVDS_UPDATE
#endif
#define     LVDS_UPDATE                     (*(uint32_t*)0xFCFF7A30)

#define     LVDS_LVDSFCL                    (*(uint32_t*)0xFCFF7A34)
#define     LVDS_CLKSELR                    (*(uint32_t*)0xFCFF7A50)
#define     LVDS_PLLSETR                    (*(uint32_t*)0xFCFF7A54)
#define     LVDS_PLLMONR                    (*(uint32_t*)0xFCFF7A58)
/* VDEC */
#define     VDEC_ADCCR1_0                   (*(uint16_t*)0xFCFF9808)
#define     VDEC_TGCR1_0                    (*(uint16_t*)0xFCFF980E)
#define     VDEC_TGCR2_0                    (*(uint16_t*)0xFCFF9810)
#define     VDEC_TGCR3_0                    (*(uint16_t*)0xFCFF9812)
#define     VDEC_SYNSCR1_0                  (*(uint16_t*)0xFCFF981A)
#define     VDEC_SYNSCR2_0                  (*(uint16_t*)0xFCFF981C)
#define     VDEC_SYNSCR3_0                  (*(uint16_t*)0xFCFF981E)
#define     VDEC_SYNSCR4_0                  (*(uint16_t*)0xFCFF9820)
#define     VDEC_SYNSCR5_0                  (*(uint16_t*)0xFCFF9822)
#define     VDEC_HAFCCR1_0                  (*(uint16_t*)0xFCFF9824)
#define     VDEC_HAFCCR2_0                  (*(uint16_t*)0xFCFF9826)
#define     VDEC_HAFCCR3_0                  (*(uint16_t*)0xFCFF9828)
#define     VDEC_VCDWCR1_0                  (*(uint16_t*)0xFCFF982A)
#define     VDEC_DCPCR1_0                   (*(uint16_t*)0xFCFF9830)
#define     VDEC_DCPCR2_0                   (*(uint16_t*)0xFCFF9832)
#define     VDEC_DCPCR3_0                   (*(uint16_t*)0xFCFF9834)
#define     VDEC_DCPCR4_0                   (*(uint16_t*)0xFCFF9836)
#define     VDEC_DCPCR5_0                   (*(uint16_t*)0xFCFF9838)
#define     VDEC_DCPCR6_0                   (*(uint16_t*)0xFCFF983A)
#define     VDEC_DCPCR7_0                   (*(uint16_t*)0xFCFF983C)
#define     VDEC_DCPCR8_0                   (*(uint16_t*)0xFCFF983E)
#define     VDEC_NSDCR_0                    (*(uint16_t*)0xFCFF9840)
#define     VDEC_BTLCR_0                    (*(uint16_t*)0xFCFF9842)
#define     VDEC_BTGPCR_0                   (*(uint16_t*)0xFCFF9844)
#define     VDEC_ACCCR1_0                   (*(uint16_t*)0xFCFF9846)
#define     VDEC_ACCCR2_0                   (*(uint16_t*)0xFCFF9848)
#define     VDEC_ACCCR3_0                   (*(uint16_t*)0xFCFF984A)
#define     VDEC_TINTCR_0                   (*(uint16_t*)0xFCFF984C)
#define     VDEC_YCDCR_0                    (*(uint16_t*)0xFCFF984E)
#define     VDEC_AGCCR1_0                   (*(uint16_t*)0xFCFF9850)
#define     VDEC_AGCCR2_0                   (*(uint16_t*)0xFCFF9852)
#define     VDEC_PKLIMITCR_0                (*(uint16_t*)0xFCFF9854)
#define     VDEC_RGORCR1_0                  (*(uint16_t*)0xFCFF9856)
#define     VDEC_RGORCR2_0                  (*(uint16_t*)0xFCFF9858)
#define     VDEC_RGORCR3_0                  (*(uint16_t*)0xFCFF985A)
#define     VDEC_RGORCR4_0                  (*(uint16_t*)0xFCFF985C)
#define     VDEC_RGORCR5_0                  (*(uint16_t*)0xFCFF985E)
#define     VDEC_RGORCR6_0                  (*(uint16_t*)0xFCFF9860)
#define     VDEC_RGORCR7_0                  (*(uint16_t*)0xFCFF9862)
#define     VDEC_AFCPFCR_0                  (*(uint16_t*)0xFCFF987C)
#define     VDEC_RUPDCR_0                   (*(uint16_t*)0xFCFF987E)
#define     VDEC_VSYNCSR_0                  (*(uint16_t*)0xFCFF9880)
#define     VDEC_HSYNCSR_0                  (*(uint16_t*)0xFCFF9882)
#define     VDEC_DCPSR1_0                   (*(uint16_t*)0xFCFF9884)
#define     VDEC_DCPSR2_0                   (*(uint16_t*)0xFCFF9886)
#define     VDEC_NSDSR_0                    (*(uint16_t*)0xFCFF988C)
#define     VDEC_CROMASR1_0                 (*(uint16_t*)0xFCFF988E)
#define     VDEC_CROMASR2_0                 (*(uint16_t*)0xFCFF9890)
#define     VDEC_SYNCSSR_0                  (*(uint16_t*)0xFCFF9892)
#define     VDEC_AGCCSR1_0                  (*(uint16_t*)0xFCFF9894)
#define     VDEC_AGCCSR2_0                  (*(uint16_t*)0xFCFF9896)
#define     VDEC_YCSCR3_0                   (*(uint16_t*)0xFCFF9904)
#define     VDEC_YCSCR4_0                   (*(uint16_t*)0xFCFF9906)
#define     VDEC_YCSCR5_0                   (*(uint16_t*)0xFCFF9908)
#define     VDEC_YCSCR6_0                   (*(uint16_t*)0xFCFF990A)
#define     VDEC_YCSCR7_0                   (*(uint16_t*)0xFCFF990C)
#define     VDEC_YCSCR8_0                   (*(uint16_t*)0xFCFF990E)
#define     VDEC_YCSCR9_0                   (*(uint16_t*)0xFCFF9910)
#define     VDEC_YCSCR11_0                  (*(uint16_t*)0xFCFF9914)
#define     VDEC_YCSCR12_0                  (*(uint16_t*)0xFCFF9916)
#define     VDEC_DCPCR9_0                   (*(uint16_t*)0xFCFF9980)
#define     VDEC_YCTWA_F0_0                 (*(uint16_t*)0xFCFF9992)
#define     VDEC_YCTWA_F1_0                 (*(uint16_t*)0xFCFF9994)
#define     VDEC_YCTWA_F2_0                 (*(uint16_t*)0xFCFF9996)
#define     VDEC_YCTWA_F3_0                 (*(uint16_t*)0xFCFF9998)
#define     VDEC_YCTWA_F4_0                 (*(uint16_t*)0xFCFF999A)
#define     VDEC_YCTWA_F5_0                 (*(uint16_t*)0xFCFF999C)
#define     VDEC_YCTWA_F6_0                 (*(uint16_t*)0xFCFF999E)
#define     VDEC_YCTWA_F7_0                 (*(uint16_t*)0xFCFF99A0)
#define     VDEC_YCTWA_F8_0                 (*(uint16_t*)0xFCFF99A2)
#define     VDEC_YCTWB_F0_0                 (*(uint16_t*)0xFCFF99A4)
#define     VDEC_YCTWB_F1_0                 (*(uint16_t*)0xFCFF99A6)
#define     VDEC_YCTWB_F2_0                 (*(uint16_t*)0xFCFF99A8)
#define     VDEC_YCTWB_F3_0                 (*(uint16_t*)0xFCFF99AA)
#define     VDEC_YCTWB_F4_0                 (*(uint16_t*)0xFCFF99AC)
#define     VDEC_YCTWB_F5_0                 (*(uint16_t*)0xFCFF99AE)
#define     VDEC_YCTWB_F6_0                 (*(uint16_t*)0xFCFF99B0)
#define     VDEC_YCTWB_F7_0                 (*(uint16_t*)0xFCFF99B2)
#define     VDEC_YCTWB_F8_0                 (*(uint16_t*)0xFCFF99B4)
#define     VDEC_YCTNA_F0_0                 (*(uint16_t*)0xFCFF99B6)
#define     VDEC_YCTNA_F1_0                 (*(uint16_t*)0xFCFF99B8)
#define     VDEC_YCTNA_F2_0                 (*(uint16_t*)0xFCFF99BA)
#define     VDEC_YCTNA_F3_0                 (*(uint16_t*)0xFCFF99BC)
#define     VDEC_YCTNA_F4_0                 (*(uint16_t*)0xFCFF99BE)
#define     VDEC_YCTNA_F5_0                 (*(uint16_t*)0xFCFF99C0)
#define     VDEC_YCTNA_F6_0                 (*(uint16_t*)0xFCFF99C2)
#define     VDEC_YCTNA_F7_0                 (*(uint16_t*)0xFCFF99C4)
#define     VDEC_YCTNA_F8_0                 (*(uint16_t*)0xFCFF99C6)
#define     VDEC_YCTNB_F0_0                 (*(uint16_t*)0xFCFF99C8)
#define     VDEC_YCTNB_F1_0                 (*(uint16_t*)0xFCFF99CA)
#define     VDEC_YCTNB_F2_0                 (*(uint16_t*)0xFCFF99CC)
#define     VDEC_YCTNB_F3_0                 (*(uint16_t*)0xFCFF99CE)
#define     VDEC_YCTNB_F4_0                 (*(uint16_t*)0xFCFF99D0)
#define     VDEC_YCTNB_F5_0                 (*(uint16_t*)0xFCFF99D2)
#define     VDEC_YCTNB_F6_0                 (*(uint16_t*)0xFCFF99D4)
#define     VDEC_YCTNB_F7_0                 (*(uint16_t*)0xFCFF99D6)
#define     VDEC_YCTNB_F8_0                 (*(uint16_t*)0xFCFF99D8)
#define     VDEC_YGAINCR_0                  (*(uint16_t*)0xFCFF9A00)
#define     VDEC_CBGAINCR_0                 (*(uint16_t*)0xFCFF9A02)
#define     VDEC_CRGAINCR_0                 (*(uint16_t*)0xFCFF9A04)
#define     VDEC_PGA_UPDATE_0               (*(uint16_t*)0xFCFF9A80)
#define     VDEC_PGACR_0                    (*(uint16_t*)0xFCFF9A82)
#define     VDEC_ADCCR2_0                   (*(uint16_t*)0xFCFF9A84)
#define     VDEC_ADCCR1_1                   (*(uint16_t*)0xFCFFA008)
#define     VDEC_TGCR1_1                    (*(uint16_t*)0xFCFFA00E)
#define     VDEC_TGCR2_1                    (*(uint16_t*)0xFCFFA010)
#define     VDEC_TGCR3_1                    (*(uint16_t*)0xFCFFA012)
#define     VDEC_SYNSCR1_1                  (*(uint16_t*)0xFCFFA01A)
#define     VDEC_SYNSCR2_1                  (*(uint16_t*)0xFCFFA01C)
#define     VDEC_SYNSCR3_1                  (*(uint16_t*)0xFCFFA01E)
#define     VDEC_SYNSCR4_1                  (*(uint16_t*)0xFCFFA020)
#define     VDEC_SYNSCR5_1                  (*(uint16_t*)0xFCFFA022)
#define     VDEC_HAFCCR1_1                  (*(uint16_t*)0xFCFFA024)
#define     VDEC_HAFCCR2_1                  (*(uint16_t*)0xFCFFA026)
#define     VDEC_HAFCCR3_1                  (*(uint16_t*)0xFCFFA028)
#define     VDEC_VCDWCR1_1                  (*(uint16_t*)0xFCFFA02A)
#define     VDEC_DCPCR1_1                   (*(uint16_t*)0xFCFFA030)
#define     VDEC_DCPCR2_1                   (*(uint16_t*)0xFCFFA032)
#define     VDEC_DCPCR3_1                   (*(uint16_t*)0xFCFFA034)
#define     VDEC_DCPCR4_1                   (*(uint16_t*)0xFCFFA036)
#define     VDEC_DCPCR5_1                   (*(uint16_t*)0xFCFFA038)
#define     VDEC_DCPCR6_1                   (*(uint16_t*)0xFCFFA03A)
#define     VDEC_DCPCR7_1                   (*(uint16_t*)0xFCFFA03C)
#define     VDEC_DCPCR8_1                   (*(uint16_t*)0xFCFFA03E)
#define     VDEC_NSDCR_1                    (*(uint16_t*)0xFCFFA040)
#define     VDEC_BTLCR_1                    (*(uint16_t*)0xFCFFA042)
#define     VDEC_BTGPCR_1                   (*(uint16_t*)0xFCFFA044)
#define     VDEC_ACCCR1_1                   (*(uint16_t*)0xFCFFA046)
#define     VDEC_ACCCR2_1                   (*(uint16_t*)0xFCFFA048)
#define     VDEC_ACCCR3_1                   (*(uint16_t*)0xFCFFA04A)
#define     VDEC_TINTCR_1                   (*(uint16_t*)0xFCFFA04C)
#define     VDEC_YCDCR_1                    (*(uint16_t*)0xFCFFA04E)
#define     VDEC_AGCCR1_1                   (*(uint16_t*)0xFCFFA050)
#define     VDEC_AGCCR2_1                   (*(uint16_t*)0xFCFFA052)
#define     VDEC_PKLIMITCR_1                (*(uint16_t*)0xFCFFA054)
#define     VDEC_RGORCR1_1                  (*(uint16_t*)0xFCFFA056)
#define     VDEC_RGORCR2_1                  (*(uint16_t*)0xFCFFA058)
#define     VDEC_RGORCR3_1                  (*(uint16_t*)0xFCFFA05A)
#define     VDEC_RGORCR4_1                  (*(uint16_t*)0xFCFFA05C)
#define     VDEC_RGORCR5_1                  (*(uint16_t*)0xFCFFA05E)
#define     VDEC_RGORCR6_1                  (*(uint16_t*)0xFCFFA060)
#define     VDEC_RGORCR7_1                  (*(uint16_t*)0xFCFFA062)
#define     VDEC_AFCPFCR_1                  (*(uint16_t*)0xFCFFA07C)
#define     VDEC_RUPDCR_1                   (*(uint16_t*)0xFCFFA07E)
#define     VDEC_VSYNCSR_1                  (*(uint16_t*)0xFCFFA080)
#define     VDEC_HSYNCSR_1                  (*(uint16_t*)0xFCFFA082)
#define     VDEC_DCPSR1_1                   (*(uint16_t*)0xFCFFA084)
#define     VDEC_DCPSR2_1                   (*(uint16_t*)0xFCFFA086)
#define     VDEC_NSDSR_1                    (*(uint16_t*)0xFCFFA08C)
#define     VDEC_CROMASR1_1                 (*(uint16_t*)0xFCFFA08E)
#define     VDEC_CROMASR2_1                 (*(uint16_t*)0xFCFFA090)
#define     VDEC_SYNCSSR_1                  (*(uint16_t*)0xFCFFA092)
#define     VDEC_AGCCSR1_1                  (*(uint16_t*)0xFCFFA094)
#define     VDEC_AGCCSR2_1                  (*(uint16_t*)0xFCFFA096)
#define     VDEC_YCSCR3_1                   (*(uint16_t*)0xFCFFA104)
#define     VDEC_YCSCR4_1                   (*(uint16_t*)0xFCFFA106)
#define     VDEC_YCSCR5_1                   (*(uint16_t*)0xFCFFA108)
#define     VDEC_YCSCR6_1                   (*(uint16_t*)0xFCFFA10A)
#define     VDEC_YCSCR7_1                   (*(uint16_t*)0xFCFFA10C)
#define     VDEC_YCSCR8_1                   (*(uint16_t*)0xFCFFA10E)
#define     VDEC_YCSCR9_1                   (*(uint16_t*)0xFCFFA110)
#define     VDEC_YCSCR11_1                  (*(uint16_t*)0xFCFFA114)
#define     VDEC_YCSCR12_1                  (*(uint16_t*)0xFCFFA116)
#define     VDEC_DCPCR9_1                   (*(uint16_t*)0xFCFFA180)
#define     VDEC_YCTWA_F0_1                 (*(uint16_t*)0xFCFFA192)
#define     VDEC_YCTWA_F1_1                 (*(uint16_t*)0xFCFFA194)
#define     VDEC_YCTWA_F2_1                 (*(uint16_t*)0xFCFFA196)
#define     VDEC_YCTWA_F3_1                 (*(uint16_t*)0xFCFFA198)
#define     VDEC_YCTWA_F4_1                 (*(uint16_t*)0xFCFFA19A)
#define     VDEC_YCTWA_F5_1                 (*(uint16_t*)0xFCFFA19C)
#define     VDEC_YCTWA_F6_1                 (*(uint16_t*)0xFCFFA19E)
#define     VDEC_YCTWA_F7_1                 (*(uint16_t*)0xFCFFA1A0)
#define     VDEC_YCTWA_F8_1                 (*(uint16_t*)0xFCFFA1A2)
#define     VDEC_YCTWB_F0_1                 (*(uint16_t*)0xFCFFA1A4)
#define     VDEC_YCTWB_F1_1                 (*(uint16_t*)0xFCFFA1A6)
#define     VDEC_YCTWB_F2_1                 (*(uint16_t*)0xFCFFA1A8)
#define     VDEC_YCTWB_F3_1                 (*(uint16_t*)0xFCFFA1AA)
#define     VDEC_YCTWB_F4_1                 (*(uint16_t*)0xFCFFA1AC)
#define     VDEC_YCTWB_F5_1                 (*(uint16_t*)0xFCFFA1AE)
#define     VDEC_YCTWB_F6_1                 (*(uint16_t*)0xFCFFA1B0)
#define     VDEC_YCTWB_F7_1                 (*(uint16_t*)0xFCFFA1B2)
#define     VDEC_YCTWB_F8_1                 (*(uint16_t*)0xFCFFA1B4)
#define     VDEC_YCTNA_F0_1                 (*(uint16_t*)0xFCFFA1B6)
#define     VDEC_YCTNA_F1_1                 (*(uint16_t*)0xFCFFA1B8)
#define     VDEC_YCTNA_F2_1                 (*(uint16_t*)0xFCFFA1BA)
#define     VDEC_YCTNA_F3_1                 (*(uint16_t*)0xFCFFA1BC)
#define     VDEC_YCTNA_F4_1                 (*(uint16_t*)0xFCFFA1BE)
#define     VDEC_YCTNA_F5_1                 (*(uint16_t*)0xFCFFA1C0)
#define     VDEC_YCTNA_F6_1                 (*(uint16_t*)0xFCFFA1C2)
#define     VDEC_YCTNA_F7_1                 (*(uint16_t*)0xFCFFA1C4)
#define     VDEC_YCTNA_F8_1                 (*(uint16_t*)0xFCFFA1C6)
#define     VDEC_YCTNB_F0_1                 (*(uint16_t*)0xFCFFA1C8)
#define     VDEC_YCTNB_F1_1                 (*(uint16_t*)0xFCFFA1CA)
#define     VDEC_YCTNB_F2_1                 (*(uint16_t*)0xFCFFA1CC)
#define     VDEC_YCTNB_F3_1                 (*(uint16_t*)0xFCFFA1CE)
#define     VDEC_YCTNB_F4_1                 (*(uint16_t*)0xFCFFA1D0)
#define     VDEC_YCTNB_F5_1                 (*(uint16_t*)0xFCFFA1D2)
#define     VDEC_YCTNB_F6_1                 (*(uint16_t*)0xFCFFA1D4)
#define     VDEC_YCTNB_F7_1                 (*(uint16_t*)0xFCFFA1D6)
#define     VDEC_YCTNB_F8_1                 (*(uint16_t*)0xFCFFA1D8)
#define     VDEC_YGAINCR_1                  (*(uint16_t*)0xFCFFA200)
#define     VDEC_CBGAINCR_1                 (*(uint16_t*)0xFCFFA202)
#define     VDEC_CRGAINCR_1                 (*(uint16_t*)0xFCFFA204)
#define     VDEC_PGA_UPDATE_1               (*(uint16_t*)0xFCFFA280)
#define     VDEC_PGACR_1                    (*(uint16_t*)0xFCFFA282)
#define     VDEC_ADCCR2_1                   (*(uint16_t*)0xFCFFA284)


#endif /* R_IODEFINE_H */
