/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2013 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/**************************************************************************//**
* @file         graphics.h
* @version      0.10
* @brief        Graphics function header
******************************************************************************/

#ifndef GRAPHICS_H
#define GRAPHICS_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include    <stdlib.h>
#include    <stdio.h>

#include    "r_typedefs.h"

#include    "r_vdc5.h"

#include    "lcd_panel.h"


/******************************************************************************
Macro definitions
******************************************************************************/
/*! RZ/A1H VDC5 graphics sample program version */
#define     GRAPHICS_SAMPLE_VERSION         "0.10"

#define     VDC5_INT_PRIORITY               (5u)



#define COL32_RED		0X00FF0000
#define COL32_GREEN		0X0000FF00
#define COL32_BLUE		0X000000FF
#define COL32_YELLOW	0X00FFFF00
#define COL32_MAGENTA	0X00FF00FF
#define COL32_CYAN		0X0000FFFF
#define COL32_WHITE		0X00FFFFFF
#define COL32_BLACK		0X00000000


/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Exported global functions (to be accessed by other files)
******************************************************************************/
void Graphics_GraphicsSample(void);
void Graphics_VideoSample(void);

void Graphics_CreateColorImage(
    void              * buff,
    uint32_t          * clut,
    uint16_t            width,
    uint16_t            height,
    uint16_t            stride,
    vdc5_gr_format_t    format,
    int32_t             index);


#endif  /* GRAPHICS_H */
