/******************************************************************************
* File Name    : config.h
* Description  : Device driver header
******************************************************************************/

#ifndef _CONFIG_H_
#define _CONFIG_H_

/* Configuration parameters for Video Over IP Application */
//#define DEBUG				/* Comment/un-comment this line to set/remove debug code */
#define CAMERA_OV7670
//#define CAMERA_OV7740

/* Default parameters gets over write by console input */
#define CONSOLE_CONFIG

#define DEFAULT_IP_ADDR_MODE		1			//0 - STATIC, 1 - DHCP
#define DEFAULT_CAMERA_TYPE			1 			//0 - OV7670, 1 - OV7740
#define DEFALUT_VIDEO_RESOLUTION	1 			//0 - QVGA, 1 -  VGA
#define DEFAULT_FRAME_RATE			15			//FPS - 5, 10, 15, 20,25, 30
#define DEFAULT_BIT_RATE			256*1000
#define DEFAULT_IP_ADDRESS			"192.168.10.100"
#define DEFAULT_NET_MASK			"255.255.255.0"
#define DEFAULT_GW_ADDRESS			"192.168.10.1"
#define DEFAULT_DNS_ADDRESS			"192.168.10.1"
#define DEFAULT_REMOTE_ADDRESS		"192.168.10.66"
#define DEFAULT_REMOTE_RTP_PORT		5004

#define YUV420				/* Format -> YUV420 or YUV422 (Only 420 Format Support) */

/* Basic window sizes.  These probably belong somewhere more globally useful. */
#define VGA_WIDTH		640
#define VGA_HEIGHT		480

#define CIF_WIDTH		352
#define CIF_HEIGHT		288

#define QVGA_WIDTH		VGA_WIDTH/2
#define QVGA_HEIGHT		VGA_HEIGHT/2

#define QCIF_WIDTH		CIF_WIDTH/2
#define	QCIF_HEIGHT		CIF_HEIGHT/2

#define QQVGA_WIDTH		VGA_WIDTH/4
#define QQVGA_HEIGHT 	VGA_WIDTH/4

#define MAX_WIDTH 	VGA_WIDTH
#define MAX_HEIGHT 	VGA_HEIGHT

#ifdef VGA
	#define USEFUL_WIDTH 	VGA_WIDTH
	#define USEFUL_HEIGHT 	VGA_HEIGHT
#endif
#ifdef CIF
	#define USEFUL_WIDTH 	CIF_WIDTH
	#define USEFUL_HEIGHT 	CIF_HEIGHT
#endif
#ifdef QVGA
	#define USEFUL_WIDTH 	QVGA_WIDTH
	#define USEFUL_HEIGHT 	QVGA_HEIGHT
#endif
#ifdef QCIF
	#define USEFUL_WIDTH 	QCIF_WIDTH
	#define HEIGHT 	QCIF_HEIGHT
#endif
#ifdef QQVGA
	#define USEFUL_WIDTH 	QQVGA_WIDTH
	#define HEIGHT 	QQVGA_HEIGHT
#endif

#endif /* CONFIG_H_ */
