#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <inttypes.h>
#include "benchmark.h"

#define PMNC_MASK 0x3f
#define PMNC_E 0x1
#define PMNC_P 0x2
#define PMNC_C 0x4
#define PMNC_D 0x8
#define PMNC_X 0x10
#define PMNC_DP 0x20 

unsigned int setUSERENRegister(void)
{
        unsigned int value = 1;

     	__asm__ __volatile__(
                    "mcr p15, 0, %0, c9, c14, 0"
                    ::"r" (value));
	return value;
}

unsigned int ReadUSERENRegister(void)
{
        unsigned int value = 0;

#ifdef GNU_TOOLS
        // read the current value of useren register, it should be 0x1
        __asm__ __volatile__ (
                "mrc p15, 0, %0, c9, c14, 0"
                : "=r" (value));
#else
        __asm {
                mrc p15, 0, value, c9, c14, 0
              }
#endif

	return value & 0x1;
}
#if 1
void EnablePerfCounters(void)
{
		unsigned int value = 0;

#ifdef GNU_TOOLS	
        __asm__ __volatile__ (
                "mrc p15, 0, %0, c9, c12, 1"
                : "=r" (value));

	value |= 0x8000000f;

        __asm__ __volatile__ (
                 "mcr p15, 0, %0, c9, c12, 1"
                 ::"r" (value));

        __asm__ __volatile__ (
                "mrc p15, 0, %0, c9, c12, 0"
                : "=r" (value));

        value &= ~PMNC_MASK;
        value |= PMNC_E;

        __asm__ __volatile__ (
                "mcr p15, 0, %0, c9, c12, 0"
                :: "r" (value));
#else
    __asm {
                mrc p15, 0, value, c9, c12, 1
			}

	value |= 0x8000000f;

        __asm {
                 mcr p15, 0, value, c9, c12, 1
		}

        __asm {
                mrc p15, 0, value, c9, c12, 0
		}

        value &= ~PMNC_MASK;
        value |= PMNC_E;

        __asm {
                mcr p15, 0, value, c9, c12, 0
		}
#endif
}

void DisablePerfCounters(void)
{
		unsigned int value = 0;

#ifdef GNU_TOOLS
        __asm__ __volatile__ (
                "mrc p15, 0, %0, c9, c12, 0"
                : "=r" (value));

        value &= ~PMNC_MASK;

        __asm__ __volatile__ (
                "mcr p15, 0, %0, c9, c12, 0"
                :: "r" (value));

	value &= ~0x8000000f;

        __asm__ __volatile__ (
                 "mcr p15, 0, %0, c9, c12, 1"
                 ::"r" (value));
#else
        __asm {
                mrc p15, 0, value, c9, c12, 0
		}

        value &= ~PMNC_MASK;

        __asm {
                mcr p15, 0, value, c9, c12, 0
		}

	value &= ~0x8000000f;

        __asm {
                 mcr p15, 0, value, c9, c12, 1
		}
#endif
}

void SelectPerfEvent(unsigned int counter, unsigned int event)
{
	counter &= 0x3;
#if GNU_TOOLS	
	__asm__ __volatile__(
                "mcr p15, 0, %0, c9, c12, 5"
                ::"r" (counter));

	event &= 0xff;
        __asm__ __volatile__ (
                "mcr p15, 0, %0, c9, c13, 1"
                ::"r"(event));
#else
	__asm {
                mcr p15, 0, counter, c9, c12, 5
	}

	event &= 0xff;
    __asm {
                mcr p15, 0, event, c9, c13, 1
	}
#endif
}

void StartPerfCounters(void)
{
		unsigned int value = 0;

#ifdef GNU_TOOLS
        __asm__ __volatile__ (
                "mrc p15, 0, %0, c9, c12, 0"
                : "=r" (value));

        value |= PMNC_C | PMNC_P | PMNC_E;

        __asm__ __volatile__ (
                "mcr p15, 0, %0, c9, c12, 0"
                :: "r" (value));
#else
        __asm {
                mrc p15, 0, value, c9, c12, 0
		}

        value |= PMNC_C | PMNC_P | PMNC_E;

        __asm {
                mcr p15, 0, value, c9, c12, 0
		}
#endif
}

void StopPerfCounters(void)
{
		unsigned int value = 0;

#ifdef GNU_TOOLS
        __asm__ __volatile__ (
                "mrc p15, 0, %0, c9, c12, 0"
                : "=r" (value));

		value &= PMNC_MASK;

        __asm__ __volatile__ (
                "mcr p15, 0, %0, c9, c12, 0"
                :: "r" (value));
#else
        __asm {
                mrc p15, 0, value, c9, c12, 0
		}

		value &= PMNC_MASK;

        __asm {
                mcr p15, 0, value, c9, c12, 0
		}
#endif
}

unsigned int GetPerfCount(unsigned int counter)
{
		unsigned int value = 0;

		counter &= 0x3;
	
#ifdef GNU_TOOLS	
        __asm__ __volatile__ (
                "mcr p15, 0, %0, c9, c12, 5"
                ::"r" (counter));

        __asm__ __volatile__ (
                "mrc P15, 0, %0, c9, c13, 2"
                : "=r" (value));
#else
        __asm {
                mcr p15, 0, counter, c9, c12, 5
		}

        __asm {
                mrc P15, 0, value, c9, c13, 2
			}
#endif
	return value;
}

unsigned int GetCycleCount(void)
{
		unsigned int value = 0;
#ifdef GNU_TOOLS
        __asm__ __volatile__ (
                "mrc P15, 0, %0, c9, c13, 0"
                : "=r" (value));
#else
        __asm {
                mrc P15, 0, value, c9, c13, 0
		}
#endif

	return value;
}
#endif
