#ifndef	_RTP_SESSION_H_
#define	_RTP_SESSION_H_

#define	RTP_FIXED_HEADER_LENGTH		12
#define MAX_RTP_PACKET_LENGTH	(RTP_FIXED_HEADER_LENGTH + (188 * 7))

#define	MAX_IP_ADDRESS_LENGTH	64

#define MAXVERSION            	2
#define MAXPAYLOADTYPE      	127
#define MAXCSRCCOUNT         	16

#define	MPEG2_PAYLOADTYPE	33			/* MPEG2 TS Stream PayloadType */

#define FALSE   0
#define	TRUE    1


typedef unsigned char BOOLEAN ;


typedef struct
{
	unsigned char  CSRCCount: 4 ;        // Count of CSRC's
	unsigned char  Extension: 1 ;        // Header Extension
	unsigned char  Padding: 1 ;          // Padding Flag
	unsigned char  Version: 2 ;          // Protocol Version
	unsigned char  PayloadType:7;        // Payload type
	unsigned char  Marker: 1 ;           // Marker bit

	unsigned short SequenceNumber ;      // Sequence Number of Packet

	unsigned int TimeStamp ;           // Time Stamp of Packet

	unsigned int SSRC ;                // Synchronisation Source
} FIXEDRTPHEADER ;


typedef struct
{
	FIXEDRTPHEADER	RtpPacketHdr ;
	unsigned short	SequenceNumber ;
	unsigned int	TimeStamp ;

	unsigned char	RtpDataBuf [MAX_RTP_PACKET_LENGTH];
	unsigned int	RtpDataBufLen ;

	unsigned int	RemoteIPAddress ;
	unsigned short 	RemotePort ;

	unsigned int	TSPacketCount;
	int				SocketFD ;

#if 0
	struct timeval 	RtpCurrTime;
#else
	long RtpCurrTime;
#endif
}RTPPACKET ;


void InitRTPHeader ();
void	SetRTPTimeStamp (FIXEDRTPHEADER* RtpPacketHdr, unsigned int TimeStamp);
void	SetRTPSequenceNumber (FIXEDRTPHEADER* RtpPacketHdr, unsigned short SequenceNumber);
void AddRTPHeader ();
void SendTSPacket (unsigned char *TSDataBuf,int LastTsPacket);


#endif
