#ifndef MPEG2TS_API_H_
#define MPEG2TS_API_H_

/* MPEG2TS Encoder StateMEM size */
#define	TSDATA_STATEMEM_SIZE	250		/* nedds to be calibrated */

/* Program Info */
#define	ONLY_VIDEO_ESSTREAM				0x1
#define ONLY_AUDIO_ESSTREAM				0x2
#define	AUDIO_VIDEO_ESSTREAM			0x3

/* Payload types */
#define	VIDEO_PAYLOAD					0x1
#define	AUDIO_PAYLOAD					0x2



#define	MAX_PES_PAYLOAD_SIZE			65535	//bytes

/* MPEG2 TS Error codes */

typedef enum
{
	MPEG2TS_OK = 0,
	MPEG2TS_ERROR = -1,
	MPEG2TS_INVALID_PARAM = -2,
	MPEG2TS_NOT_SUPPORTED = -3,
	MPEG2TS_OUT_OF_RANGE = -4,
	MPEG2TS_INVALID_NUM_OF_PROGRAMS = -5,
	MPEG2TS_STREAMID_NOT_SUPPORTED = -6

}MPEG2TS_ERRORTYPE;

unsigned int GetMpeg2TsStateMemSize ();

MPEG2TS_ERRORTYPE InitializeTSDATA (int *TSStateMem,char *ProgramInfo, int NumOfPrgms);

MPEG2TS_ERRORTYPE ProcessTSDATA (int *TSStateMem,unsigned char *ESPayload, int ESPayloadSize, int PayloadType, int programNumber);

#endif